commit 9f22be51b0cb3c2e812ce1981e0ffa16831f4dcd
Merge: b7c2520 474b632
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 22 04:16:14 2026 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 474b63292c77bb10f9361a0f41c28eb636b8efcc
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Mon Mar 16 22:57:58 2026 -0400

    autologinchange ChatGPT code review, harden and improve based on feedback

commit b7c2520c0dd6a7af19e297363209af861043320b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 14 12:06:27 2026 +0000

    bumped changelog version

commit 048bd0accecebc38f224164d95f067e8a93f8b45
Merge: e8d188b 0046446
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 14 06:21:39 2026 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 00464461401d046f970bcb0438cb5e440515fa68
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Wed Mar 11 00:33:36 2026 -0400

    Make autologinchange more robust

commit d97b0987478606651fd3ce6d60bb51ac5c2bae49
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Tue Mar 10 21:45:18 2026 -0400

    Fix autologinchange indentation

commit e8d188be70d83dba557d82c8a54f0a9a688c7477
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 7 02:19:31 2026 -0500

    readme

commit dde25210c4bf1af509584564315147dd338fa165
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 1 09:06:53 2026 +0000

    bumped changelog version

commit 3b11a7b63fc26917fb91bb8e203008d2e53affd9
Merge: 3fe0a55 43ecd59
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 1 03:58:20 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 43ecd59ca9f7688d24a25960a83da5af3bb36a1d
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Feb 27 15:24:20 2026 -0500

    fix

commit 3fe0a55cd8ff58c934d7ad1d9ccee6299decc324
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 14:32:01 2026 +0000

    bumped changelog version

commit fa57b15ac77a82ef5e2dd449be11ec37c38f85f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 09:30:30 2026 -0500

    improve

commit ea28198612b472e2220ce745c75b6989f7c6484d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 08:18:02 2026 -0500

    comment

commit 4ec53fce597191710dc2b5a6778b9bd15838ca68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 08:16:58 2026 -0500

    improve

commit 38299b5bef3f5114a60b0f460e6470bda8a9798d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 06:35:07 2026 -0500

    improve

commit 474af8340e6d1fd384d84abaaac61aa813be9b7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 06:21:28 2026 -0500

    local

commit db57f90854d95c2a65133ee17231dcdd39487873
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 10:49:58 2026 +0000

    bumped changelog version

commit f2d11f770feea83082e50f9ff84e453e666dc693
Merge: d5d17f5 fec40ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 05:13:25 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit d5d17f54e75e03a85473d040b0e5784ac364bb03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 05:02:46 2026 -0500

    import gpg_bash_lib_function_displaytime from gpg-bash-lib

commit fec40ec1ccd4b24d30637bc367614e1f55ef8f1d
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Wed Feb 25 00:14:38 2026 -0500

    Add has_netvm tool

commit 0f26d8fb741110161d16685713ddd33691208d61
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Mon Feb 23 23:39:27 2026 -0500

    Add library for extracting info from deb822 files

commit 725a0b1b987409f38fcde8cb486a6c95736118f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 13:32:26 2026 +0000

    bumped changelog version

commit e3b315b6947e3344cf95c28f7eae7a700f8f5054
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 05:44:39 2026 -0500

    comments

commit a8272be626d898d3f99940bb3bdf764ee0622410
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 05:23:39 2026 -0500

    comment

commit 993b0f02dd1134c3b982c82c48d3e554ae784783
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 05:22:26 2026 -0500

    comment

commit d3166849eb1d340842bb0ae731405e6563022341
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 05:19:20 2026 -0500

    typo

commit 80c93b6b65c77e726e1bda171efac1ca47a2d2cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 05:17:54 2026 -0500

    comments

commit c7f1681cf022d39217ab58f4c2264be079f30c58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 23 05:15:47 2026 -0500

    end-of-options

commit 37a789c05747e841f66191171c96d57602d0ba64
Merge: 8377f7f df46b73
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 22 10:08:44 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit df46b731e18fd765c9abfdff48e73fb7fb58acc8
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Wed Feb 18 22:33:36 2026 -0500

    Signed commit

commit de67d750ae172c75503654d5c0d60b6824a01298
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Tue Feb 17 00:05:14 2026 -0600

    comment

commit 8377f7fd8d1e535f1d2ecddcad93c7514c60336a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 16 10:29:23 2026 +0000

    bumped changelog version

commit dc1cedeb6519c2b83a0c1720285c17f7833a99d8
Merge: 18627f3 c8e07b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 16 05:14:51 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit c8e07b905989414119a5fffef016e73f7a3eca60
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sun Feb 15 11:03:16 2026 -0600

    output

commit 65b73f2118e126a27e2d01f90a04604ce323512a
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sun Feb 15 10:52:59 2026 -0600

    Port set-keyboard-layout.sh to using 'log_run_die.sh'

commit b7cca100934432466ccde1a3d8940de63f5d3f6a
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sun Feb 15 09:38:27 2026 -0600

    Port set-keyboard-layout.sh to using 'has.sh'

commit b4ee31582a813886463045eeb9b3aa034e369f67
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sat Feb 14 22:04:31 2026 -0600

    Finish making set-keyboard-layout.sh warn about the need for a kloak restart, make it restart kloak itself if it can safely

commit 8e8d3ea445034181cbf7e6e1323af3e4a7776ae7
Merge: 0bc4acc 18627f3
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sat Feb 14 19:33:51 2026 -0600

    Merge branch 'master' into arraybolt3/trixie

commit 18627f3eabfad5bf1ed237b8ba0b98dca4e1e53f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 14 12:37:27 2026 +0000

    bumped changelog version

commit 793a1bb80cf4a27128f0e5143f312f5a5d8e9646
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 14 05:42:01 2026 -0500

    cleanup

commit 6ec1c8443a9c5b554ff71e9557193c5d179fd84c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 14 05:41:20 2026 -0500

    port to sequonia-pgp

commit 0bc4acc3584b30100c9efac3af98bd9778a052b6
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Feb 13 17:33:24 2026 -0600

    set-keyboard-layout.sh: WIP: Warn the user if kloak is running when the keyboard layout is changed and tell them how to restart it

commit bf23caba9854d1af24d4ae9ad78340bc924935ec
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Feb 13 16:57:25 2026 -0600

    set-keyboard-layout.sh: Print the contents of labwc's environment file before printing the reconfigure command's result

commit 59a18d110ecde3341dfacdff4267d9e7e2619577
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 11:19:44 2026 +0000

    bumped changelog version

commit 064438f14d1e9b680bfdd83cdebf37a090bdb330
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 06:14:47 2026 -0500

    fix

commit 9d405d1fc04db3fc6c50965cae3f89c05e99b8ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 06:14:07 2026 -0500

    fix

commit 20730d384804ab1d9ff0af8c49e03ad9e35511e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 06:10:39 2026 -0500

    indent

commit bcd7809ec2b080ae837d11ad3386f174794367f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 06:09:41 2026 -0500

    improve

commit 4550ed6cc772d3a2f0a1876b90bb125369a797d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 06:08:18 2026 -0500

    end-of-options

commit d107eef4adb1cb7331af764380223307678cb808
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 10:10:28 2026 +0000

    bumped changelog version

commit d32b7a5b632de5b7bcb93873bd1fcf2f1e62c383
Merge: 040fd2e 8dfc743
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 6 04:52:07 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 8dfc743877e9a376aeaebf9c3ef5419b82a8e611
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Wed Feb 4 22:46:14 2026 -0600

    Allow users to provide environment variables to gsudo-{wl,x}

commit 040fd2eaaba031913b96a1820370b8a374353ace
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 11:53:10 2026 +0000

    bumped changelog version

commit 1599afd32ff1e4e2615507e8f306dc71b2f8ce52
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:31:31 2026 -0500

    improve

commit d13f6cc63c3bea8c6e3ec471b675eb79b2a3de61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:25:51 2026 -0500

    `Depends:` `sq`

commit 6fca2006d704e6996bfbdf8c96ba354fb06be2df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:21:57 2026 -0500

    improve

commit 5c6bfbfdad80ff33cdab337145cf0b2f4e685426
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:21:02 2026 -0500

    improve

commit 6542817c749a6cfa6cfa12044921649fb3159885
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:17:53 2026 -0500

    refactoring

commit ba3db8b6b062ad8cc32d56e98b129f8266f70082
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:17:28 2026 -0500

    refactoring

commit 7899dd1ba804f8251281c5715736fe5d486b7fa1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:16:37 2026 -0500

    `apt-key-install`: lint keys before and after copying

commit a4a45e15c6c56ae6af1ca35f316fe6ebc8a0a59d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:12:25 2026 -0500

    `apt-key-install`: No longer use `gpg-dearmor` since no longer required.

commit 06d0064de233b4d6a800fd4e95f00b1768fc5e69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 10:30:05 2026 +0000

    bumped changelog version

commit dc85a4ef00490c681750ff754678bd90a2368948
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 05:18:41 2026 -0500

    refactoring

commit 10f2a78a7444358e630e37ece2f9d226c412a85d
Merge: e53ef88 e69f1e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 05:12:47 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit e69f1e022550f67b3bd4935c71dc9f85e18eb727
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Feb 2 18:36:48 2026 -0600

    Refactor script sourced checks

commit e53ef886a6152c59bd6f25040c37aa78de905bb0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 18:09:38 2026 +0000

    bumped changelog version

commit f395876e5704a7eed62c34c674abceabf332cc54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 13:08:45 2026 -0500

    fix

commit 798415b15575b09835fc8047b38f91c34219a1a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 13:07:57 2026 -0500

    fix

commit e58ca2f288324374573f453b1d71b1ee328c5909
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 12:24:09 2026 -0500

    output

commit df46cb0c3e6744a27218ed6f066a767f23a5a046
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 12:23:09 2026 -0500

    fix

commit 4a85bc520bbc7916307015c57a3baeb9c2393fa7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 12:22:01 2026 -0500

    fix

commit 42133f060de9ec51bf059ba6325707c73fb0cc79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 15:05:22 2026 +0000

    bumped changelog version

commit 6881d2819e94094f784529281b218c3c743e550c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 09:54:59 2026 -0500

    fix

commit 223d7a6f9f62497e138b5a2680045672710bb13c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 14:00:55 2026 +0000

    bumped changelog version

commit 8687b2c989122d8b2be3c6cda2366b8ec33650a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 08:29:58 2026 -0500

    refactoring

commit f9de913cf638d780e0b713615375331662b0c851
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 08:28:03 2026 -0500

    fix

commit 9f2f7af3d4da761cd34976c9b361a8fcc73e87ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 08:22:44 2026 -0500

    shellcheck

commit f0326443b68af235d058b75351c1c86ce23a4d9f
Merge: c7b4703 d1aaecf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 1 08:16:07 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit d1aaecf14df1996e47348af2bf82a30d6a116ee3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Feb 1 05:58:12 2026 -0600

    Remove unnecessary user-sysmaint-split-check script, rename boot-session-detection.sh to boot-session-detection.bsh, make boot-session-detection.bsh usable as a normal executable

commit c7b47031937c92edc3f6a5f6e092976472a035af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 10:45:41 2026 +0000

    bumped changelog version

commit b0c02050fe7c8cf0b16dbb1f9cb9d2fed0a4660e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 05:45:12 2026 -0500

    fix

commit dca4259cd05ceaf5df633cdcc27cac6cfa3e75f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 10:36:26 2026 +0000

    bumped changelog version

commit 78e249fa8ceb7620f79eabaf0bc39318bd402485
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 05:33:48 2026 -0500

    fix

commit 5fde7ba9029dc3f35df88169828d1d8ecf64957e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 05:24:23 2026 -0500

    improve

commit 340ca0b87ec12a9666598183ac02741aea3218cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 05:21:49 2026 -0500

    improve

commit db196a2fe56fa742621bd9197e73f7e8389dea89
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 05:20:08 2026 -0500

    improve

commit fef28450d547de7275044f71e72e1e9a246cd0b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 05:12:17 2026 -0500

    fix

commit 5665445552323fccc7669fb01b9104d300a8bcf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 04:57:50 2026 -0500

    fix

commit 24a8932ed84ec76a3d98a5c01d70ea0011c41342
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 04:55:34 2026 -0500

    fix

commit 138fff6cce7bf1c783ff293cffda9aa2cec717e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 04:54:39 2026 -0500

    add `validate_safe_filename`

commit a72b52cb46df78d6a0a92c21a47574f947a84426
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 07:56:12 2026 +0000

    bumped changelog version

commit 10ffd991a1a54c3646413785e5b4471578be2495
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 29 02:55:10 2026 -0500

    add `check_is_alpha_numeric`

commit e596ed029dc25f42db36a39556524b2f92f1baa3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 09:41:24 2026 +0000

    bumped changelog version

commit 21a21e4c1adb45b2d10cd5adb7d080f364f63829
Merge: d6d8c90 9add9a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 04:40:06 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 9add9a281c40223f1d142aa33ffdd8eec41d4dd5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 28 02:01:58 2026 -0600

    Use 'install' to make lockfile directories in gsudo-*, fix a comment

commit 122de3ef368718c13b5af347e9b292d19e591afc
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 28 01:55:53 2026 -0600

    fix

commit d6d8c905cdd7b23f10b5fcaeab1022f1d80c453b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 06:44:20 2026 +0000

    bumped changelog version

commit 87d8539c859ca307588a035db3aa1925d7b3dfe6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 01:06:02 2026 -0500

    end-of-options

commit d1163450d9543c690acee6b298f779361b3a7055
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 01:05:09 2026 -0500

    long option names

commit 4c409fddfa52d8a63762130ce7cf606633e917ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 01:04:43 2026 -0500

    end-of-options

commit 5f119faf8195ac147a33753e0c525df48ed6989f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 17:18:29 2026 +0000

    bumped changelog version

commit 64b5873cc65c16ac42374e292c2390e5c4baeeec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 12:13:23 2026 -0500

    improve

commit 1f7772189838e7e288c2fe87df1c7c9275276816
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 12:00:18 2026 -0500

    fix

commit 25e2a1dfd019f9d0a6eeeb29fade58221bf9ca3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 11:57:15 2026 -0500

    fix

commit 6b3adc146f7a7c8633a5a4d4a434a1bd1c749925
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 11:56:34 2026 -0500

    remove superfluous `teardown` function call since already called by trap

commit 77a5f8734dd348e8e94ef38f8bb83ea80b4aca9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 11:25:01 2026 -0500

    end-of-options

commit b2d0c2e80f8d1a5350781643094e0c070b73f60f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 11:23:19 2026 -0500

    debugging

commit eb2e6119c8787d72a0a636cd8fba32c595771c19
Merge: 628b6ca 6687fd6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 27 11:17:53 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 6687fd62c61f0e1abfd2f8bd5c231fbdcbfb84d7
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 25 19:47:07 2026 -0600

    Rename run-in-new-cgroup to run-in-cgroup, allow running commands in an existing cgroup

commit a4d677ce63fb509df500557da3851ee6ba7c13e1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 25 18:05:38 2026 -0600

    Add gsudo-wl and gsudo-x scripts

commit 1e3072afa8472b77decf0afe01ffb12d9a6c61e2
Merge: c8420f8 628b6ca
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 25 13:24:12 2026 -0600

    Merge branch 'master' into arraybolt3/trixie

commit c8420f8710056157c5f98491d40223b3a9c167b0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 25 11:08:25 2026 -0600

    Fix autologin disable mechanism for greetd

commit 628b6ca07f6772b749b9a005238de4caae74d3ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 25 07:42:33 2026 +0000

    bumped changelog version

commit b16f3a96d22c0ea3d5fcc331158dbe4c4b25f4d3
Merge: cae3d45 a864d7e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 23 19:09:36 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit a864d7e44fc44a3c01d26beb49deaa057467fd21
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 23 15:19:21 2026 -0600

    Avoid spurious autologinchange error when /etc/lightdm doesn't exist, take greetd configuration into account when looking for autologin users, simplify convoluted printf statement

commit 1c174df6b8d37d1428e3c88f4c285402af03c1ce
Merge: 2222267 cae3d45
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 23 14:49:18 2026 -0600

    Merge branch 'master' into arraybolt3/trixie

commit 2222267fa97380fbecd04ce05e1fe298aa241836
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 23 14:30:05 2026 -0600

    If no DKMS modules were rebuilt in rebuild-dkms-modules, tell the user that

commit cae3d45a5490406cf147921140c0f9addf833c8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 23 09:47:05 2026 +0000

    bumped changelog version

commit 268523b30d5626d4c4b053c42952ec6348f20809
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 23 04:45:09 2026 -0500

    comment

commit c1ece0e0ee2f374d852ec67bb0a1e8a0f9c294f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 23 04:37:11 2026 -0500

    output

commit 0ca275fef4d5849ec5d655735cb0971da4d5bb46
Merge: ced057f b4bc3ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 23 04:34:47 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit b4bc3ed0722c6a292dc633786454daea46baef48
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Jan 22 23:25:33 2026 -0600

    Add helper script for rebuilding all DKMS modules, integrate into shim-manage-mok

commit eeee76d6e815433121cac89f8abab6e99bec46c9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Jan 22 22:20:23 2026 -0600

    Minor polish for shim-manage-mok, add check-image-builtin-mok helper script and privleap action

commit ced057f95764db4bdfe64f516503d7b95653d1d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 10:58:06 2026 +0000

    bumped changelog version

commit f0ea9b6da6e02211fa6038187b5b676ffb9f4816
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:55:04 2026 -0500

    code simplification

commit f77610fc42ccb3c96e13ab7582e9f075b2606428
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:48:15 2026 -0500

    avoid subshell. fix shellcheck

commit 974fc5b44484cc03eb020242ad6c8f6e4b3d76a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:44:57 2026 -0500

    fix

commit e15bab4db1740697f92db9b66a69c7f759b4e492
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:27:56 2026 -0500

    output

commit 1da5cd457644f125257cf54844e61cf4ca84546f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:27:34 2026 -0500

    fix

commit 75cb48962b93a16fc62b8a4f65224c8729b530e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:27:01 2026 -0500

    output

commit 029a8d1e4750c40048a205b92f42279844e70cfd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:24:24 2026 -0500

    improve

commit 772190d0f8d5529357e84bae1c59ef9dee64606d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 05:01:56 2026 -0500

    fix

commit 19111b87120ccf3012d8047ab5b05a97b2c33793
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 04:39:59 2026 -0500

    fix

commit c9a8ab42c1423a6053b79e14bbd1b862a23f4f52
Merge: 7c5bf98 5612664
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 04:21:51 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 561266475055c8526e8627620abac91edb633dff
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Jan 19 20:34:36 2026 -0600

    Rename shim-enroll-mok to shim-manage-mok, add reset functionality, allow use on UEFI systems with Secure Boot disabled

commit 8f064c7faedda37ce65e7b67b4dca6ef9c8d8ef3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 18 15:51:33 2026 -0600

    Add Python wrapper for get_colors.sh

commit 7c5bf981a203e32cad69b6124fd38306eaee538d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 17 16:23:47 2026 +0000

    bumped changelog version

commit d6fbe7a8ebf63d88d254b89f502c745432bc89cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 17 11:22:19 2026 -0500

    `grep-find-unicode-wrapper`: fix

commit 58bd2220d694e19c4d318799ca9c55f4464281ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 17 14:59:32 2026 +0000

    bumped changelog version

commit 76b49e067a2e279c46c70d274fe311729ee47f4f
Merge: 3ad6b81 8d32010
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 17 02:48:44 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 8d32010974e7b2e951bc4e6eb5952a27bc3f1639
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 16 16:02:22 2026 -0600

    Add run-in-new-cgroup helper

commit 3ad6b811a84d0c5a96324053a716a301e62615cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 16 12:09:03 2026 +0000

    bumped changelog version

commit 5ab7b16048834550154fd5bf5059890cd430d169
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 16 06:27:41 2026 -0500

    add support for logging of who_ami

commit 340bac06f44d93e87b676931b22f18955d22cb4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 16 06:16:13 2026 -0500

    add 'log question'

commit 5fc5bca4a7fa554cdebcef19b37caf130b40069c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 16 05:07:54 2026 -0500

    comment

commit d93fade7e28b99fd5a5330cb0c11d586dd54abb9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 16 05:03:45 2026 -0500

    apparmor

commit 9396f68d7fb19f417a02b28883f3a145a2fd96b1
Merge: fe843d8 fe6228d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 16 05:02:24 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit fe6228db3748414100dbd6e9fb708d091a8fff4b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 14 23:06:45 2026 -0600

    Add variant of find_wl_compositor script from kloak

commit fe843d81f9ad4d27336f31ff4c8488dacbeaab37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 12 15:16:05 2026 +0000

    bumped changelog version

commit 1d6a533d814de3fd1f0af88d779687190795bb58
Merge: 94ba371 c57cce9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 12 10:14:01 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 94ba3712e7ff1d0fbbc734995bfb7d1846927d70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 12 13:10:56 2026 +0000

    bumped changelog version

commit c7398ceb68d23a64833b58b9f448ac14df077a8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 12 06:19:44 2026 -0500

    fix

commit c57cce92bd49aaaf42363baaa6a18ced492956ac
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 11 12:38:31 2026 -0600

    Allow light_sleep to take a float as an argument

commit 1d822232898913cb10270c49b749380a00075a21
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 11 12:26:04 2026 -0600

    Add library for waiting for audio to be functional

commit 26846cf98e6ac3b1484d4f46f86a756de167e55f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 11 16:24:23 2026 +0000

    bumped changelog version

commit 30f1a9d8ea486361aed5631ba98e30ac970657f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 11 10:49:22 2026 -0500

    typo

commit 5b8201dba49c2ce71c404bd7fdcdea5f95e7cced
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 11 10:53:47 2026 +0000

    bumped changelog version

commit 4bfad6f232784d948ffcb3ae96a06e812b06a24d
Merge: d4539fb eb7ac2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 11 05:33:27 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit eb7ac2aaeb40fcb949359eb005115caf5518143b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 9 14:44:03 2026 -0600

    Minor polish on pre.bsh, get_colors.sh

commit d4539fb6e921902ef27345e17f750fb90045c33d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 10:33:22 2026 +0000

    bumped changelog version

commit 26465321da79d7b428ca59f6996aaa55168324fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 04:59:13 2026 -0500

    comments

commit 0598e05e49a3f5b8e39648fc874bb5ca1b3985fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 04:58:05 2026 -0500

    comment

commit 3ccfdf93d3999aaa954bb38c45660b5f35b835c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 04:00:00 2026 -0500

    output

commit 87ce536246e9bf96c767aa7991a30c4f93ad0ba3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:53:13 2026 -0500

    comments

commit 6a4168e2886fc97a4d0dca7d12011cf734430e7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:50:22 2026 -0500

    code simplification

commit d2ff1026f6949aefbb42a7cf856d731bbaa6d089
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:46:08 2026 -0500

    comments

commit 9412c674fc2c7c3790a813d37ec5f08acc42f182
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:14:25 2026 -0500

    improve

commit a6c0ae9794e3a8bef41c1b404a44f5669e65a49e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:08:23 2026 -0500

    debugging

commit 8199b15d5786e483869a2d7be4894320676c2084
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:02:43 2026 -0500

    improve

commit cf2a61a188191effb6eed5b7057b99d0944dc17a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 01:54:01 2026 -0500

    improve

commit e7a83364e837369e0285867c3ab48c4e0fca24e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 01:51:43 2026 -0500

    fix

commit 6cff912de8cad65d329497592918e6d117592bb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 01:37:28 2026 -0500

    debugging

commit 71fdc2515514629af79f792cb1e4bce124adce81
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 01:32:44 2026 -0500

    output

commit 3ab1737e61a82474b588a24dfab60b4bb975ea75
Merge: ed318a1 ced6057
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 01:27:47 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit ced60570c34c7e641b786576d4ceee8eaa3e62a2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Jan 8 20:13:16 2026 -0600

    Minor improvements to pre.sh, get_colors.sh

commit ed318a112ea45292ae0f5c58500edafda8aca9fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 16:14:10 2026 +0000

    bumped changelog version

commit 35fceb7d1642b10d6027040ffe9c943db1910372
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 11:09:58 2026 -0500

    fix

commit c1b6bdd7e439e8530ae773a0a6d3e7c3063fd5db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 11:05:24 2026 -0500

    shellcheck

commit 970b10aa200984407f8192932312c384c05ffb5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 11:03:39 2026 -0500

    fix

commit ecb591bf7f029bd5f45303675b28ee4140665fca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 11:02:14 2026 -0500

    fix

commit 644c678784c268004658037e75e2cdb1ac180140
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 10:52:23 2026 -0500

    fix

commit 04a9e9c8716aa5a333ba55397166477c27827122
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 10:49:55 2026 -0500

    fix

commit 9bb9c2be21d0969583529c10feba1c00ced3d28a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 09:45:17 2026 -0500

    port to get_colors.sh

commit 9ead25b4f32dd3d556242e813210e16a319e9dda
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 09:40:43 2026 -0500

    merge `colors` function

commit d3ff823a03868d069715205e6e008c706049e373
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 09:42:37 2026 +0000

    bumped changelog version

commit 284fa7d4d22c130c20657c679a0ac575b99326ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 04:17:43 2026 -0500

    comment

commit cd3549e24234aa03b1bb47e67104f3d238c07dbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 03:42:43 2026 -0500

    fix

commit 6c764479a71e6cf86fa72f885fb5efaee4e276d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 03:38:27 2026 -0500

    output

commit e97b6ba3cf0004f2c096f6c57e55560b2293ab53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 03:33:03 2026 -0500

    output

commit c4c0341009b0e92bac6b3d7db86070b689f77ea2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 03:32:17 2026 -0500

    fix

commit 0c72855b08e4bb5bedaf2f1e9269c000b880974c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 03:26:31 2026 -0500

    fix

commit 8c8ea9f4146ac182a66cee8f0cf0c55b6ccb3795
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:56:42 2026 -0500

    fix

commit 715260bd97573f2fd8294f82a400504c2a25bfd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:52:48 2026 -0500

    output

commit a2a4b518ff90151859ffbe926d8b16e1998f179c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:46:12 2026 -0500

    fix

commit e14445f4644904db66bf79b003b727754be27dff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:36:10 2026 -0500

    comment

commit ab3072f1d0793de86a9db0c7d5600403602ef83d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:35:18 2026 -0500

    improve

commit 20e51d897b55ed7ed800d50d4be02467422cf48a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:27:22 2026 -0500

    fix

commit 1f3bd21afee47b0013ea1a615a1cf2b0a453824c
Merge: 8f776ed faec463
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 8 02:26:30 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit faec463dc483cca3f9263c2ef8614ba50dc61d7d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 7 21:39:17 2026 -0600

    shim-enroll-mok: Minor fixes, move mokutil key test earlier and make it more robust

commit 6026519dfd51c5fd9fa9269004181ec1a4049879
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 7 21:38:30 2026 -0600

    Fix mokutil executable detection in secure_boot_enabled_check.bsh

commit 2f1522deb409f8712a0ba86b8ddf657eb44486f4
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 7 21:38:08 2026 -0600

    Add mokutil-test-key privleap action

commit 4f323c456dde9a2472bd12381c4d65b5f8abb487
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 7 21:37:43 2026 -0600

    Move mokutil-sb-state from systemcheck to helper-scripts

commit 8f776ed86ac5ca13a398a321a06e5e59a01c3868
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 06:37:04 2026 -0500

    fix

commit 74729fb7a35df5d19face3a325c828358d3a838a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 06:24:22 2026 -0500

    refactoring

commit 9d189e8372114feb900d29471c1dc66168e08880
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 06:21:06 2026 -0500

    refactoring

commit 4f2764c606351ac47c07aadeefff8899fa26c184
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 06:19:40 2026 -0500

    comments

commit a7da95bae142cf30926a43e562ecc461533dba30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 06:16:32 2026 -0500

    end-of-options

commit 4b37627226f28f25ef454ab4fdcf14b0e2660104
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 10:19:30 2026 +0000

    bumped changelog version

commit be510dc024663c4e32ab6ae7834c8c32de58e549
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 05:09:47 2026 -0500

    improve

commit 67d8b5bbc981473d9bb5dc406ba2e2057d8be0f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:49:25 2026 -0500

    improve

commit fc92aa6e6e2496bac0c633efd16355d271c4ed31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:35:02 2026 -0500

    fix

commit 87ce3bd63ce8d39570ac0581e8fae87ef875cf8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:32:37 2026 -0500

    improve

commit 69a87997a5c980ac10784696ecb69c3804e7156e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:29:56 2026 -0500

    improve

commit 70496d55fbf5687556c52a4a2b422c4c90a597f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:21:01 2026 -0500

    improve

commit afc6e59126249db80cca9bb539572832d610daf6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:10:52 2026 -0500

    improve

commit 61305eec939a92589a0b192c66e3ed9e131f1254
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:08:17 2026 -0500

    improve

commit 0f8478953abc4f64f29cac26fa74608338700e7d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 04:04:39 2026 -0500

    improve

commit 84a72afcb400c48d1e4db457ddfe8891b6082fb8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 03:56:49 2026 -0500

    improve

commit 73dc7450c608144191fe910b13c5f04e5651c75f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 03:55:20 2026 -0500

    indent

commit 08c384c96285c653407617feb479f4dc68c82730
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 03:50:41 2026 -0500

    improve

commit 1f5157b516d689cea7d2249e0f9ef5290fe8a861
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 03:49:29 2026 -0500

    improve

commit c1de55734cb27c97815a4d39d61f964297cef514
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 03:46:20 2026 -0500

    improve

commit 55d968578c8e0f86a2725ac65232ef43f76fbeea
Merge: e5ccbfb 36efff1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 7 03:22:19 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 36efff170659ef6b25b1297b494141dfede3f2eb
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jan 6 22:38:11 2026 -0600

    Add additional Secure Boot utilities, polish shim-signed-mok-setup and make its main function able to be called as a library function

commit e5ccbfb912f88d3c40dfb29a128a44f8031a0bc7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 13:00:29 2026 +0000

    bumped changelog version

commit 7357c392299ea045c0877104a8baec732795913b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 07:20:14 2026 -0500

    refactoring

commit abecb79ff45bf92a473b0395fe2731b2c641a2a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:43:59 2026 -0500

    output

commit 699f317c7572edeb0e3d93d664aad768b677f71a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:42:08 2026 -0500

    output

commit 3f9dc5fcec31df1370bed20135797da6b77e5e0e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:39:41 2026 -0500

    output

commit 83f1cce52320a1a1ae9a0851c29d4e73b9273956
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:30:44 2026 -0500

    output

commit 96656e68021d6303b051c9308e92ddd7e9441ad0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:30:06 2026 -0500

    output

commit 74a0eec3d2cce73d6bcc1302631319bd2e67f299
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:29:28 2026 -0500

    output

commit e07a25ff1d89b5abec28d4a60c08b3bab27317a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:27:18 2026 -0500

    improve

commit 42873a4a376d98bcafc1979d2b7d4555f98190e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:25:36 2026 -0500

    improve

commit 8f1c62969a27df1486fbc959579dd06ddeca1ddf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:23:31 2026 -0500

    improve

commit 4e3412751c864a72846d26bdd6fc74cae2b9fa79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:16:11 2026 -0500

    improve

commit 0b33fd7f12ac908f048787847b81253589a4997b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:13:39 2026 -0500

    improve

commit a22308ed2ef89a02267cd665a0c91ee26cee2d4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:10:23 2026 -0500

    improve

commit 4797c154d7870c280f8234625c0b4778983603de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:10:02 2026 -0500

    improve

commit f7c840e3416427536d47949728dcf7f26ee3ea26
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:08:18 2026 -0500

    improve

commit 696eba62889b74e0ee642b954bce31b240a113f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:07:23 2026 -0500

    improve

commit 58fd28715ab823646c9275e2c0e03c34c488c6bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:06:51 2026 -0500

    improve

commit 0744338a8dd52a39d3b03b3b64734a7d1032e90c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:04:40 2026 -0500

    improve

commit 64f0c1a81d3034c36c420c51422176d59c094c8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:01:29 2026 -0500

    fix

commit 8afb4998fa672cc84259ebe4dd1e84c5a3528a8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 6 06:00:39 2026 -0500

    import `/usr/sbin/shim-signed-mok-setup` from usability-misc postinst

commit e6ecb3100fc6a4be7c8ed92f261d7bec3b2d531a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 17:12:45 2026 +0000

    bumped changelog version

commit f74d07a8345e375bef488684daf747848cd6aa14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 11:57:30 2026 -0500

    fix

commit 1b539b7ea552ceb506ac78b42449252ed4b02907
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 11:56:16 2026 -0500

    minor

commit 46cc80c1ce0e67841a4f783d438df7660306a867
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 11:55:48 2026 -0500

    fix

commit 3cee2586a891ba83ffbd9a088164114cf94c1eb7
Merge: c5f7ecd 847c42b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 11:53:32 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit c5f7ecdf50881b28ebd014458f48279a15c91d87
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 15:40:17 2026 +0000

    bumped changelog version

commit 847c42bf9caa40baf00e13d789fefcc535d060a0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 31 17:52:17 2025 -0600

    Add systemd service for detecting and notifying about the existence of in-kernel ipv6 support

commit 8a4c56b84ad4fedc4ee6b0069045a8ba6aa75890
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 29 21:09:47 2025 -0600

    Make lsmod_deterministic not sensitive to system locale

commit f5fda2d4e3d8dc1ea5082d5e989a893a348ace4f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 29 20:32:52 2025 -0600

    Improve UX and code style of LUKS check in set-keyboard-layout.sh

commit 4f8cd53df0e1433ee52ce15d88d0e6bb8cdc2fa9
Merge: 341eb52 be93765
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 29 02:29:47 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit be937657e373b9d7c1f6e5e8e61864cc9263bce5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Dec 28 12:40:23 2025 -0600

    Add a safeguard if changing the system or console keymap when LUKS is used on the root filesystem

commit 341eb5294b4bf09dca0860436a4b52140c60b8fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 14:51:58 2025 +0000

    bumped changelog version

commit b3a3036a4635702bda07e42f250f70fd73e092e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 09:30:20 2025 -0500

    local

commit 6ffa903baf15090980a0c77b02bcb4d9a3487c58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 05:50:00 2025 -0500

    fix

commit 7d6b266b830b7f66a5646dfbde8f9c4bd1424228
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 04:57:20 2025 -0500

    fix

commit 9b112c5bc8918435fb33a328222b0cf3248aa115
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 04:25:24 2025 -0500

    new functions: `lsmod_deterministic`, `kernel_module_loaded_check`, `modprobe_remove`

commit 91fc0e5b2c9124a97a40e1fd406cac3f8b723655
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 02:38:24 2025 -0500

    local

commit 6a7a189f75dc1dbee4867476948b712aac4c1a43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 06:32:16 2025 +0000

    bumped changelog version

commit 6911c41981ccca38c6dfe7ee66ea3ea28f8a8d70
Merge: 3400e81 14e04e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 28 00:43:57 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 3400e813b33747a952356d43553b83ba151d2c4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 27 12:30:22 2025 +0000

    bumped changelog version

commit 4da8aa37b6320aae8cf6723a5809c61831a8997c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 27 07:25:11 2025 -0500

    fix

commit 75de55783f2aae7567705fc74c245594c33b7ef8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 27 07:02:03 2025 -0500

    fix

commit 14e04e451e119e79b2bab733d188f1efad1976f3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 26 13:33:32 2025 -0600

    Improve strict_config_parser tests based on feedback from ChatGPT

commit cf2c5028f82eb33ca13ca26b746bf0ee8874e7a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 26 19:02:48 2025 +0000

    bumped changelog version

commit e5889537ff950277899a520df8a90d5dedbc7f59
Merge: 78bb999 869470c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 26 13:57:58 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 869470c5a93643cae5a71ff91f6c681004964620
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 24 19:47:35 2025 -0600

    Add strict_config_parser library

commit 78bb999dbb9d3d9559d67a9fe8e6c985a2b9228e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 11:37:17 2025 +0000

    bumped changelog version

commit 96b0c95bf03f9e5bb5693d1f14daa400be1ddac9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 06:31:32 2025 -0500

    minor

commit e7ac0ed31bd20d783e061481357cebc03c45cf1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 06:24:23 2025 -0500

    refactoring

commit 7dacf3bfaf54b6e0e23eb519a955ea7f98556b2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 09:47:49 2025 +0000

    bumped changelog version

commit ffdde39fd468f8ada1c2ebed37f2d8e0b980cef8
Merge: bc55b87 b563e80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 03:25:36 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit b563e80cabd288b64b15e29f045deb02cda859d0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Dec 14 15:08:31 2025 -0600

    Remove obsolete script 'desktop-background-skel-test', the default desktop background can now be configured system-wide in /usr/share with LXQt

commit bc55b87705121eb32a7145f6ce75bb6a056920be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 15:09:18 2025 +0000

    bumped changelog version

commit 0b0ac898f2ddc4f5d6a5db055fa105b88c1d5041
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 08:23:07 2025 -0500

    fix

commit dc85e06beacb56b5c8da5db9cfd0c1235cb3cb15
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:42:53 2025 -0500

    fix

commit 16d8cac3b3b54ae4955e88a8ea8c8625bc98f2a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:37:15 2025 -0500

    fix

commit f0650418a572481d58fc30a654ea5f37ca3eddfc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:34:51 2025 -0500

    refactoring

commit 8bcc02d4aa187c052052a0730de55694217e4fe8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:28:49 2025 -0500

    fix

commit a62178bcbfb788b2a0fb7ee08eb26915351038f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:24:15 2025 -0500

    fix

commit 0971eb54bc9f1ef7e938d5ac59da190300fba366
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:21:45 2025 -0500

    fix

commit faaef802e97c70d46807762472d273260798f902
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:18:28 2025 -0500

    fix

commit 2a61bb9d9b27f9f9c33b68cd4dee316134084e37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:17:20 2025 -0500

    fix

commit 9725725526442555169a9c005435db7890be837a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:13:54 2025 -0500

    fix

commit a3dfada812ad7d52cc5ffb484d2a6d16085af16c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:11:52 2025 -0500

    refactoring

commit 0ef2740fe359f0e292f2798c80833c4868cf1eff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:06:00 2025 -0500

    refactoring

commit e173b0de198b415a10b1bb40b81835a7a5a8d79f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:04:53 2025 -0500

    fix

commit 8cb7eb0bc51f9cb974ec7a35d0da9039b4ecce69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 07:02:17 2025 -0500

    fix

commit 2bf959d11b15ee6b8f3e541d4242960265d5152f
Merge: 60ea0ec eeb8a68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 10 06:55:40 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit eeb8a68acdf454524e8bf2f64f2bbf9bafbc61c4
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 9 21:52:09 2025 -0600

    Keyboard layout script and localectl-static fixes / optimization

commit 60ea0ec766fa17b89fbdc623675be8dbf232b45c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 14:35:32 2025 +0000

    bumped changelog version

commit f5d60eac9499286ec87b5b03e9c09d57c8f0a41d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:34:44 2025 -0500

    fix

commit 1fab149a1f7c0a748c9f16ea007825eaa868d40c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 14:27:15 2025 +0000

    bumped changelog version

commit f18894375d89b4bbaf26dacfdaade6b403223248
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:21:00 2025 -0500

    fix

commit 2b112f1b1d37c230aa4af1a24dc7c37600d0d4b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:19:54 2025 -0500

    fix

commit 8a7e2880398b2aa493f8786adacb9fa9fb33d4b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:16:36 2025 -0500

    fix

commit 94bd6f3367bbd1ea55421c2ad70efe29e1f24b14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:15:31 2025 -0500

    fix

commit 672a950d20db2a06e0a1b0cfc462dceba77578b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:14:37 2025 -0500

    refactoring

commit 459024419dc62fb6b295e55ce071d6c796e3c938
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 14:06:14 2025 +0000

    bumped changelog version

commit aa63080f9600e45ca838436ffe32eed5d1c39dcb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 09:01:01 2025 -0500

    fix

commit 6af9d14c3739569d0258e44710f05b799fa7110b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 08:59:04 2025 -0500

    fix

commit b7ae5c1e9ef4820918ebd49c321e12a29a9bdeb2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 08:48:36 2025 -0500

    comment

commit 4e0068c8ab3a5b646ead8f8bacb9e398057163a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 08:48:11 2025 -0500

    fix

commit 3d8d2bf522dba4cc061e013197f69e89264e4e0f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 08:25:14 2025 -0500

    fix

commit ca8d7bfab570a4ecc26505be4b0f4e9c375b4803
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 08:03:51 2025 -0500

    fix

commit 993f0e5272240195da8ffb0d35f95e7b1e03fe2d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:58:23 2025 -0500

    output

commit 9160724f0952c5ec462406febe6667a9c280dc55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:53:44 2025 -0500

    fix

commit 4d7f6075ac4f170ac2da7dee405df9b9a1b0faa1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:49:04 2025 -0500

    fix

commit 501ecce93fa52ee6571d21cb046d345f5359d746
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:45:45 2025 -0500

    fix

commit 1030a2ed4e3636d2e98abbc77f5c3dfe12f103b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:42:30 2025 -0500

    output

commit 0c4549027f6199f05ad3abb75bede0de560fde1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:37:13 2025 -0500

    fix

commit 7305312f37e3f8454130f36c44d0c9eeaa914521
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:29:30 2025 -0500

    fix

commit 136e39c0968bad65b98041982696b85c054640e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:26:50 2025 -0500

    output

commit 111f4f31f38dc5a69ab66a442268bfbc349d99fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:24:02 2025 -0500

    output

commit 3772486f15e94cb47f32ed22f220448af5950201
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:23:18 2025 -0500

    output

commit ae6349514266819cbd65d542aa854e39ba9210ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:20:44 2025 -0500

    output

commit 3d3e98027550bbd9a6a3b4562ac5b9664cd2a1df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:19:41 2025 -0500

    output

commit 1a01ace1df908fc132c2409787bb9a65a6072f4c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:17:40 2025 -0500

    fix

commit 52fdd8884af57ea713c5a6071d28b3945a1dd5ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:13:52 2025 -0500

    fix

commit 209572618e5e01438553559a6f11c06158a265ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:12:42 2025 -0500

    refactoring

commit 6d297395e3a6c336f8a82621ec25f2d06fb38432
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 06:11:20 2025 -0500

    refactoring

commit f8e5216419c1e943f4d098b739a159908aa0ebc2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 04:29:43 2025 -0500

    debugging

commit 5c2987cbb5e77b73f73703c1fa350a3e0e52d3f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 04:26:20 2025 -0500

    debugging

commit 00662d62247268b017cf49a10d24eabfdba3da75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 04:20:58 2025 -0500

    output

commit 82f9b9644155a46cb0e7cc3339471b3fa5664b28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 9 04:18:15 2025 -0500

    fix

commit 470a0b02190efa1e9018041c56826113dff00db6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 12:41:11 2025 +0000

    bumped changelog version

commit a3f50d49851a4c2f2272310a82e7d4c0d1d45cc4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:40:44 2025 -0500

    lintian

commit 5db2a2343a9b19bd23f01be675e5e6e8bc2a4045
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 12:37:05 2025 +0000

    bumped changelog version

commit ecd17c811e68a9d84992714014c32aa455b3d021
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:37:04 2025 -0500

    re-generate man pages (generated using "genmkfile manpages")

commit 0b1c91cce205f581b031dd001e75094e55fee599
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:29:49 2025 -0500

    set keymap scripts: port to localectl-static for higher reliability inside chroot

commit 6f8083033f320229e58c6624c007cffe19e95ea6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:19:03 2025 -0500

    add `usr/bin/localectl-static`

commit 44fe01771ed06a352c2ce40d61675949555d7c3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:12:05 2025 -0500

    add `usr/share/helper-scripts/localectl-list-x11-keymap-variants-static.txt`

commit e63abe88dde93901df90f36e45b6c74cbd7881bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:11:38 2025 -0500

    fix

commit 22688b7204a1d17f3768446b0dd8e3b788ab1fc3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:10:25 2025 -0500

    fix

commit 78e6d96996966e2a1209050edfdf6ae483c242cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 07:00:48 2025 -0500

    add `usr/share/helper-scripts/localectl-list-x11-keymap-layouts-static.txt`

commit 2c16228d14274d928fde8ae1f1350bc818c309cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 06:58:20 2025 -0500

    add `/usr/share/helper-scripts/localectl-static-list-update`

commit 2ae531630146d92419a32abb77bf47fd7deb0734
Merge: f6876ea 3d12d9b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 8 06:44:35 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 3d12d9ba576dce49716cfaf1f6b6aa32e12a5b10
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Dec 7 10:06:16 2025 -0600

    Make stdisplay, strip_markup, unicode_show, sanitize_string library files non-executable, fix return value on unicode decode failure in unicode_show (suggested by Codex)

commit 726e4e663805f057e0ab748c64b7e27874eaeb0c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Dec 6 23:12:31 2025 -0600

    Add unicode_show module to CI watched paths

commit 49ffd2e97bcbe6f1bec93ee3d3a3123d535b8694
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Dec 6 23:11:07 2025 -0600

    unicode-show: Add filename sanitization and corresponding test

commit ec70b55149d47d03ad4adb38b7af18ea2c0fcaa5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Dec 6 22:39:01 2025 -0600

    Disable Ubuntu 24.04 tests due to incompatibility with Python 3.12, add test suite for unicode-show, make unicode-show treat carriage returns as suspicious

commit 3f404e3d8accfd06339f13cb7c4e7e6238195b07
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 5 15:32:20 2025 -0600

    Fix grep-find-unicode-wrapper failing to detect malicious unicode

commit f401a2117eb2c7d30fe726616d9ff7469b721c3e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 5 15:15:26 2025 -0600

    Remove need for explicit pytest checks in stdisplay utilities, explicitly specify newlines and encodings for text I/O

commit 6d3109872a4e04374e14829e8dcd6c27bbda0cda
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 5 14:24:50 2025 -0600

    Use standard copyright headers in stdisplay

commit f6876ea0e9447fe29d33ee7ff334a57fc5fe7c31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 13:54:36 2025 +0000

    bumped changelog version

commit 5d992dd5da30bcb4c833e6a9b97a471ca67d2d53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 08:23:05 2025 -0500

    output

commit 68e7f2a119db126a362aebfa011278c22d000d5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 13:02:34 2025 +0000

    bumped changelog version

commit 8f06dcf774b09fbc2a54e6fdc3dc749b09ca24ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 08:00:05 2025 -0500

    cleanup

commit f50f631d9fd7b693af10d889d6d77355fda48ceb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:58:50 2025 -0500

    fix

commit d0000a235e8815adcb55176edd87d1916b5af92d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:54:48 2025 -0500

    hardening

commit a27aeb0a391e69e5f2d803efc0fb8a7122ea01ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:43:00 2025 -0500

    comment

commit 48bd086ccf685a1ce4fba32be753c7e16f4004f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:41:36 2025 -0500

    comment

commit b6893f812f61079c9c08addf2b6f035f98bd1d4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:36:46 2025 -0500

    comment

commit bdd06e1ad093d83eb51865e9972c81f25781edd7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:34:59 2025 -0500

    refactoring

commit 89c01c9cd16ff3f9c5ff6caa1eda0f3a1b18f1e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:33:01 2025 -0500

    comments

commit 663058e045b421c100f7bcf584a4eccef8d02e66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:31:18 2025 -0500

    hardening

commit a623a55f5ed60d9692c5a7cb5dad5789e7509c15
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:28:09 2025 -0500

    fix

commit 2af501a83fde781c61701395ca850921e20da136
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:27:12 2025 -0500

    code simlification

commit 90f8bf44dd9938890a9ebe47364ae18ccf31ac42
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:26:19 2025 -0500

    comment

commit c320fca389ee1820b560b194651967453b82f6e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:25:40 2025 -0500

    comment

commit 0ed29ccac1361cb999b7598d32e81670ecd2994d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:23:47 2025 -0500

    `grep-find-unicode-wrapper`: Use 'stecho' in case the file names itself contain unicode.

commit 6f9d81deb1d8eb877ebe657323048aba933d6c1b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 07:17:11 2025 -0500

    `grep-find-unicode-wrapper`: also check for carriage return ("`\r`")

commit 422648748bbfc9842ce2371ea142cf21d8bbea7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 11:38:08 2025 +0000

    bumped changelog version

commit 63927069d393109536fe2c721c8a7e07a4fe6940
Merge: db9b7c8 bb095e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 06:31:56 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit bb095e11a202693d6896409c7056d4f73f851df3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Dec 4 20:23:07 2025 -0600

    Add a new batch of stdisplay test cases suggested by ChatGPT Codex

commit db9b7c8804459319a1c5eb6a98844f52b20b7470
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 11:12:44 2025 +0000

    bumped changelog version

commit 1d47656cdeba909b03066c9a1c20c0582e1c0a93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 06:11:48 2025 -0500

    luks-path-check: fix detection if using Btrfs (to fix swap-file-creator on Btrfs failing to detect encrypted LUKS device)

commit e7ab45eae64b397f6916221e4a07cace90fcab9f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 05:08:13 2025 -0500

    comments

commit 2f170f47f962da8295f35a0347b09f0b9bd78b4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 09:30:47 2025 +0000

    bumped changelog version

commit 9292a454c0c958e1759c1de392b914a2318aa7e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 04:04:27 2025 -0500

    minor

commit 7d1514f904b6188544a9ec3edc43fe8ab45b4565
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 04:01:31 2025 -0500

    comment

commit 95d7cfe56ccd5303ac4406b511fe07c92aedc550
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 07:54:54 2025 +0000

    bumped changelog version

commit 23474fe4abce0484315ef3213a2307c24c244f92
Merge: 65717e7 3c64c17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 02:50:24 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 3c64c17ed5f4da79f92e003aea9de5ddc4ae7870
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 3 22:47:24 2025 -0600

    stdisplay: Accept upper-case or mixed-case values in COLORTERM (suggested by ChatGPT Codex)

commit 2f28372956679b9537c2fa85118f3fe2e82469d9
Merge: ad74840 65717e7
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 3 20:34:29 2025 -0600

    Merge branch 'master' into arraybolt3/trixie

commit ad74840f472b5eccd5c127acd56501cd9cdda5e1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 3 20:22:11 2025 -0600

    Add invalid argument tests to sanitize_string as suggested by ChatGPT Codex, make mocked stdin in strip_markup and sanitize_string tests more similar to real stdin

commit 1967b0dc919c0772db432c2155d5a97ce33f1e32
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 3 19:19:18 2025 -0600

    Optimize stsponge memory usage, add NUL byte check to stdisplay malicious Unicode test

commit 65717e76b14132c88acb0d9cc6ebb7788ee40733
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 3 08:25:27 2025 +0000

    bumped changelog version

commit 9cfb48c442c9f046d297a7ecdf41fc24e0b0d489
Merge: d449a5c 3e071fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 3 03:20:33 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 3e071fdf6684c77e0ed6ac91575bca9e50ff809b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 22:52:43 2025 -0600

    Handle a missing executable name in append-shared better, fix comment

commit 48a994b0774c7d451fd10818c30d530be20996d0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 22:42:58 2025 -0600

    Use python3 -su shebangs everywhere

commit e20e4540f457f0aa64d62e65fe099ff5c72f2f3b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 22:27:10 2025 -0600

    Work in various stdisplay enhancements from ChatGPT Codex

commit 986b5cde9fe2af996db33c61234d9cc296d9fc22
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 20:31:52 2025 -0600

    Run CI when files under certain paths are pushed, attempt 2

commit 0d9cad74b2e1a8736334c5e685e47bfd1572b9f7
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 19:19:46 2025 -0600

    sanitize_string: Add another escape code strip stage (bug found by ChatGPT Codex)

commit 9f7b4435f784f5e1b000a809f4ca72cac8d37357
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 19:18:18 2025 -0600

    Trigger CI runs when sanitize_string or strip_markup are modified

commit 1d8b2fea63c8852395a583a8daf9ae11333e8128
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 2 19:14:51 2025 -0600

    Silence spurious linter gripes caused by testing against multiple versions of pylint

commit d449a5c9b69eff3a063b3c9e2cb1577b2d3550e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 2 04:35:29 2025 -0500

    sanity test

commit ff7e9287ad26c90785c5ce2d70973dcdb9ffd313
Merge: 2085f74 76e7132
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 1 23:46:12 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 76e7132655ba157ed94bec272ef5c2c8e84a2281
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 1 21:44:32 2025 -0600

    Add GRUB keymap configuration to set-system-keymap, fix missing word

commit 096674a566726633ef58b3b15ce2bc1f06f8b39f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 1 20:27:50 2025 -0600

    Rename strip-html -> strip-markup, fix sanitize-string argument parsing, add string truncation tests for sanitize-string

commit d4ce304c3510119acbbfe28ab8fa6932afc08b9c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 30 20:54:07 2025 -0600

    Refactor strip_markup and sanitize_string libraries, add tests

commit 2085f744cd34545b5b5f1747aba56f1c49683107
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 29 06:07:18 2025 +0000

    bumped changelog version

commit 874fdcbccac8fdbc1afffc05e02740c56e0fe859
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 28 01:29:33 2025 -0500

    * check if Tor is dormant and re-activate Tor
    * `tor-dormant-check`
    * `tor-signal-newnym`

commit 71871f999d233871ef33f9deb755e23e50ec1831
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 28 00:24:35 2025 -0500

    output

commit b26926e8838b80b738f6e32ea52f798ab09bc761
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 28 00:23:53 2025 -0500

    fix

commit 0493c4c6c0a111a7e1ab440a57d92523ded8eb53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 28 00:04:18 2025 -0500

    minor fix: system-ready-check: avoid duplicate output

commit 66a8800d183387258f823ac117fc20a02fdc5b35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 27 07:38:03 2025 -0500

    lower debugging

commit f537a4c1b295b746e52271dbaa3d3b2e4a5428bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 11:59:15 2025 +0000

    bumped changelog version

commit 252da770f49ddefb95f42a2374854ebb889ac319
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 04:37:32 2025 -0500

    add `/usr/libexec/helper-scripts/system-ready-check-user`

commit 21b1a6064e9fb0aec125d34eea13d19d837ef514
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 08:42:36 2025 +0000

    bumped changelog version

commit 2a83044d2ddf2ab4f1da8eadcd8935c99dfd74d6
Merge: 96f8969 d216761
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 03:07:15 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 96f8969d417ee2aa81e8a82740b6c590c19c891a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 08:03:12 2025 +0000

    bumped changelog version

commit 4c1fad0b9a8d58704b7fb5ce9dd0e359e8d365f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 02:39:44 2025 -0500

    fix

commit d21676124fa100415ac6dc673ba4525c59cc166e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 23 10:21:56 2025 -0600

    Fix word-splitting in systemd-notify.bsh

commit 8cd32e79c5dc21ef4dcfe6925d882e58ef04cded
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 07:53:48 2025 -0500

    improve system-ready-check

commit 9462019053e97b2c90d74a6306fa8639e7e3c0af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 11:31:39 2025 +0000

    bumped changelog version

commit 1d2fce49f6b0dfa94e0121f88c68ec50b3280431
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 06:11:55 2025 -0500

    pipe

commit ea6b34a4db8e4a07cd1a5d9b258a9ef0312cd377
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 06:07:34 2025 -0500

    test

commit 1f414109a6a1a9c150dbb945242fcd2f46378eab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 06:03:34 2025 -0500

    fix

commit 4aff4eaf591748cde859100fbb12a0f4a57bc3f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 06:02:59 2025 -0500

    add

commit ad91f262bc22c8ae6858aa401294163e096d3cda
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 17:05:50 2025 +0000

    bumped changelog version

commit 8b7a2b4439e98a97b105a591eef779c5d4885b65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 12:04:19 2025 -0500

    cleanup

commit a7a56c4a87a022b9f9df83b8e6ad5e1662a6603b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 12:00:30 2025 -0500

    fix

commit 781192eef5a5e48e5c1128c3afd9437be9c5f15f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 11:57:14 2025 -0500

    fix

commit c8fad412d3538d4da041e3e038711b8a0167cd63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 11:56:01 2025 -0500

    fix

commit 64651c1e2e07e7cf1496d217784872654b692453
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 11:51:23 2025 -0500

    refactoring

commit 2d79c3140a95595be4466fc3ad19b4f8c7140aa6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 11:50:00 2025 -0500

    import from anon-gw-anonymizer-config

commit 7b4518c10122002ba3d3d8cd9a7f687129afee66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 09:18:19 2025 +0000

    bumped changelog version

commit fe4ebd09ad778dd1bde7440357a8077313d9b770
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:52:14 2025 -0500

    fix

commit 1258d7f90e877567426544d7d376bfeeae0a4ed8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:51:08 2025 -0500

    output

commit 3433bd40cec64931e609604979e639114313d3fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:50:38 2025 -0500

    output

commit 9de748b4705ddfe4f46446e19f9570e2e32a0438
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:47:39 2025 -0500

    output

commit 069781f32ee8d4b1c4af58871b0cf7f575b3f28f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:45:42 2025 -0500

    sanity test

commit 961451407d2e53a454f1ae5cef45d43f89094375
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:42:13 2025 -0500

    fix

commit e7ce7d7c75587c374df993758081d846f2cc3af3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:37:09 2025 -0500

    comment

commit f60b6e3c80ab9994e9380f321570d68401a5c06d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:35:59 2025 -0500

    sanity test

commit bbd5d07b6ded6b40ff3a609cd86160a321dfcb4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:35:36 2025 -0500

    comment

commit 390ac942ae0a75d5fab00adcce22e5f931a569d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:33:48 2025 -0500

    refactoring

commit fda81f257944367b2c0f0cfd3eb95513869a27a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:17:04 2025 -0500

    sanity test

commit b37325d187bdc1a6a79392003addf468b9c386dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:15:36 2025 -0500

    output

commit aa3b6629d24af6d7cd47a39685e03f7f989a587b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:14:28 2025 -0500

    output

commit 1a9eca003d84d3942dffe7c8161b9834ae302068
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:13:47 2025 -0500

    output

commit e8f691c7e16e82258f5bb181d5a4ff42f112cd43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 03:12:05 2025 -0500

    output

commit 14e2d12ca26658cecf582d4c96ad1bde386d96a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:49:06 2025 -0500

    output

commit e2e8d201030d283217ffc18c89441fba2b0c4447
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:46:09 2025 -0500

    fix

commit 72dfc114b5904453e9ac530021bea2c5e528ab1b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:42:15 2025 -0500

    end-of-options

commit 4c904adf9aa83c41522b8dd93c0fb4124c28c7c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:41:09 2025 -0500

    output

commit 9f36d91d8b5967037a60fd39be1cd767526b3608
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:39:49 2025 -0500

    output

commit b5ef0d9ab4999eecb2eda0b8aa93c58b66d6e5af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:39:13 2025 -0500

    output

commit 00c2e61c0bb55eb4207d8f1e682b7d92b5905636
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:38:31 2025 -0500

    sanity test

commit eeaf0d268848e0e67fc52a23dcc13667f5b615f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:32:20 2025 -0500

    fix

commit 008f54b15790d20a1e3981c8af1fa1cd7db5b737
Merge: a3a3531 d268d55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 02:30:31 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit d268d5536b6121179aef67f5d23ae2a5316c4082
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 20 20:32:21 2025 -0600

    Try to prevent /tmp/user/100* from becoming owned by root due to lockfile.sh

commit d2b2c524fc6fd55909ceef6eb720e52184156470
Merge: 2254607 a3a3531
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Nov 18 19:59:37 2025 -0600

    Merge branch 'master' into arraybolt3/trixie

commit a3a3531d13f8475d009e51535c6e13e20281c7e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 10:10:37 2025 +0000

    bumped changelog version

commit 48fcacacaa38b8f66b5703ec3a1624df1fc1e6c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 05:10:21 2025 -0500

    dev

commit c45d82ed60153c419e683cf3d3bfc2d6a4f43485
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 09:38:34 2025 +0000

    bumped changelog version

commit c571ef7bdd60e552f29e208fe7eca0c4943ed7f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 04:38:18 2025 -0500

    dev

commit 06147578d74b4ac41b0b20eb2b989523d95b855c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 07:33:50 2025 +0000

    bumped changelog version

commit 87f34590e693d1a9aeed9eacf006fd9a86375293
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 02:26:02 2025 -0500

    output

commit 298a0c6583e32ca40eaeddc4a3fbf788ed19baf9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 07:21:54 2025 +0000

    bumped changelog version

commit 53b9cf215caf65eb02afce31aa63f96bb2da70ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 02:18:09 2025 -0500

    add /usr/libexec/helper-scripts/systemd-notify.bsh

commit 879ad71e0689c47bd9a25f058babf4cfb5365822
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 18 02:09:44 2025 -0500

    no longer write /run/helper-scripts/system-ready-check

commit 2254607324e6acef387ae7e7b2ca34abdb2cd869
Merge: 3e7f47e 1986562
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 16 10:27:32 2025 -0600

    Merge branch 'master' into arraybolt3/trixie

commit 1986562c708d1f5149961bd4c4661b81728ab6b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 16 10:26:12 2025 +0000

    bumped changelog version

commit 494345b9c612409c3171a9808228242b49896d87
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 16 05:09:30 2025 -0500

    lower debugging

commit 28f8110c65d5540fed1810f7a8d6e34b7ae83d47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 16 09:29:46 2025 +0000

    bumped changelog version

commit a6f38c0862bc1db07f4e2af729248ee14c6c97af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 16 03:10:37 2025 -0500

    `curl-prgrs`: also consider `-o`

commit cd8c903663d0488346a6f4a039c09808d07be7b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 16 03:07:49 2025 -0500

    `/usr/libexec/helper-scripts/curl-prgrs`: fix argument quoting

commit 3e7f47eb5deab5a58f77182d7937288ada828924
Merge: 1ddadf1 8a0efa8
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Nov 15 19:56:22 2025 -0600

    Merge branch 'master' into arraybolt3/trixie

commit 412d4c7aa0e8aec6ffbd84a8c65005031d850c78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 15 02:53:42 2025 -0500

    refactoring

commit cab1366c62008fea6e8497ebc516eac6ea9a7ee7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 15 02:50:58 2025 -0500

    indent

commit 8a0efa8c09b57167e816d6935f0ca7a4a931b16e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 06:55:07 2025 +0000

    bumped changelog version

commit 0f5da83f631263a660e0fe60a2dddf27e3325bfb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 01:39:52 2025 -0500

    fix

commit 8d6ef846ac6222f2f9cfa0a784965ccc8903a455
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 06:20:14 2025 +0000

    bumped changelog version

commit e93a15690ab03513b6b07c19012bc8e55d0c84a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 00:58:01 2025 -0500

    port to package-installed-check

commit cd2a0b034e08137016c30ede391817068e54170c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 00:13:26 2025 -0500

    move to `/usr/bin/package-installed-check`

commit e6aa660c57706cbadac78320b8aa9ed8464bda91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 00:11:52 2025 -0500

    shellcheck

commit 0cc351af17dcee659b26db153d62cea48767666c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 00:11:11 2025 -0500

    shellcheck

commit ee44508b9636c388473b5d4776d8ae956a34ccf2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 14 00:07:59 2025 -0500

    split into /usr/libexec/helper-scripts/package_installed_check and /usr/libexec/helper-scripts/package_installed_check.sh

commit 1663e10d843e142f46793a05a5824791ebd59e96
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 23:43:03 2025 -0500

    refactoring

commit 1ddadf16bd00fb624cfe46652c467896d4a0626a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 13 22:35:00 2025 -0600

    Add --no-update-grub option to set-grub-keymap, refactor and improve help output in set-keyboard-layout.sh

commit 3f70ce509006d35bd546235e90b8c7e6c0b6d7ca
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 13 18:48:59 2025 -0600

    Adjust stdin read mechanism for GRUB keyboard layout setter

commit 34c1c2aaec00ac8fded056e3ed49fe08c03e6126
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 13 17:38:36 2025 -0600

    Add set-grub-keymap script, refactor localectl availability check in set-keyboard-layout.sh

commit 56b59449f91d0261fb13f908c56a217ce5645834
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 12:47:41 2025 +0000

    bumped changelog version

commit b2bcaa8f75cfcdfc426df764b1407a0c05a07bfe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 07:47:26 2025 -0500

    fix

commit 4b534ba8e4059fe95891b8f2a7cbbdb1ddaf1f59
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 12:24:03 2025 +0000

    bumped changelog version

commit bd292427e02722b5d534a63837d79a71f00ac20c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 07:21:40 2025 -0500

    output

commit f850f2b9704fc75608f12306946d951b140387ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 12:19:35 2025 +0000

    bumped changelog version

commit 3e6bec116cb729a5ffa2501ade826fe004c2a38c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 07:19:18 2025 -0500

    shellcheck

commit c797886560ce40c9344078258acf4ea0f6915031
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 07:15:53 2025 -0500

    detect user-sysmaint-split

commit 4dd048a85d6f495323aad725393a70644155b153
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 09:56:35 2025 +0000

    bumped changelog version

commit dc3c725367679ba12b4f6f5a9700add030833d5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:54:49 2025 -0500

    comment

commit 76bfffbbc09ef9044b42fd91c3074a4eed3a9652
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:53:02 2025 -0500

    fix

commit 387a2f8519e00d5fef07744d896ea6c30f136518
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:50:28 2025 -0500

    fix

commit 2f77c6909ad7ee084d919214613a3adde9e26b5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:43:12 2025 -0500

    fix

commit 829313668060c96efd201fc3f753ab09f9caca98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:41:52 2025 -0500

    fix

commit 4af467c729293bc4478d18bc7548de0a82a6f897
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:39:11 2025 -0500

    fix

commit 8907c942fb1339fa43d7e232786c14ff99b39356
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:38:22 2025 -0500

    fix

commit 41ef0e0fe7315ded5b13eab5f3bb9b48460847cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:37:23 2025 -0500

    fix

commit 0e842e4afbac8709c2931bbac81e196844451360
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:36:26 2025 -0500

    fix

commit 5d19bf195677fe0d48f9e56867a0bd2a171b5291
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:29:28 2025 -0500

    output

commit 0a2b5f0e2c623b454f5124f6a5306eb89e2d3476
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:27:40 2025 -0500

    output

commit 7109b930b5e6ae7801d022c4b6925e62b5ab3054
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:25:28 2025 -0500

    fix

commit 863db459fa9e121bf2319d102459cc383278d661
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:21:31 2025 -0500

    fix

commit 694e1a06e9b4d0b94326c7327bf2addffa5898be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:13:03 2025 -0500

    comments

commit b59c3bf67f0224c60a1c9bd96c9fd8aa4620fadd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:11:26 2025 -0500

    comments

commit 90e5762315f389ddc0fb96ed2c04d9ee2e2c38a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:04:21 2025 -0500

    comments

commit 21275cd52a90b7c02555ee25cfd7ce3f1af0b833
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:01:20 2025 -0500

    output

commit 1ada85e4f1139800f55058c177a9988cb149afbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 04:00:08 2025 -0500

    fix

commit e9e0db4961edaa76ac1047ba0b20cc57b9a7fe13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:59:23 2025 -0500

    fix

commit ca8d6d7ab75ef4f154e5dfa5d26625cd39d2163e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:57:32 2025 -0500

    output

commit fa1049637eb6d8c97b89559d0434eccbf6759345
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:56:44 2025 -0500

    fix

commit 7468a921333cd5046da481d1bdeb6e5b0f287098
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:56:03 2025 -0500

    fix

commit 55f487685bc60cd0cd7d12858f119d2c9cb477a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:44:46 2025 -0500

    comment

commit 92859800877c5171036a9a69444ca9ea5f9277bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:27:15 2025 -0500

    fix

commit 0379ef2b063cb2e56c1971a5f5096ad42507e00d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:23:45 2025 -0500

    comment

commit 4c623060d66f0e5d04c4c42d6dcfe22fdeda59e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 03:11:33 2025 -0500

    add exit_handler

commit ae03ba7f401c6570f0076659b5c327a683a8d2eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 02:59:57 2025 -0500

    `set-system-console`: improve re-generate initramfs code

commit 2c9767e9d9f770a5c9944b4e82d8c45cba793aa3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 01:59:46 2025 -0500

    output

commit e1a98298279c3d6b1cf00092a06980e4e56f1197
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 06:58:12 2025 +0000

    bumped changelog version

commit 85ac2550bba7652179c72dda794fc0c7f777bbf8
Merge: b0de75f 47cfaec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 01:26:42 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 47cfaecf39424413da2750f191f7ef95d85027ca
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Nov 12 23:38:02 2025 -0600

    Keyboard layout scripts; use stdout for info, regen initramfs images during layout change, make non-standard options work in interactive mode, enable pipefail, change --persist to --no-persist

commit b0de75fd333f97a575c6302ac36ec95e62f56562
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 10:12:21 2025 +0000

    bumped changelog version

commit b9e473ccf8878729370c5f76c55f8633fdc07cad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:57:16 2025 -0500

    fix

commit de87b9501fb488675915992fcf6ed25a87861aa4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:54:42 2025 -0500

    fix

commit 7f633a45c412b3234024f6ef1cd3249cbcd451e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:52:47 2025 -0500

    fix

commit bb4623b595bf58665d1ec846f7124b9c00ce41d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:52:26 2025 -0500

    fix

commit 13cb119fb765437aee9171136710d79423719b8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:49:42 2025 -0500

    fix

commit 5a548a49ba5424a8c38fbbded50684ff5996a646
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:46:34 2025 -0500

    fix

commit b4a5efc3826f24b047e89d01a0c297ec71731753
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:45:43 2025 -0500

    output

commit 2b1630213f865d978e3bf724cdf814490e40a932
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:38:07 2025 -0500

    add `luks-path-check`

commit 0c33761b402f9e150fe5328e942c9f391090bc18
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:35:48 2025 -0500

    refactoring

commit 0cb264411f6b614c0e177f983ec78083e81dcb29
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:33:31 2025 -0500

    refactoring

commit c11e848b018d66e7415710db24371c618b77a37c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 02:31:43 2025 -0500

    import from swap-file-creator

commit 07fafc8c54ccb7d5a59f2b28b0c9e55a4c6f2dfe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 06:11:33 2025 +0000

    bumped changelog version

commit 60d9650582d68218b3e2e66ac139fad34197663e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 00:59:07 2025 -0500

    `dummy-dependency`: use `apt-get-noninteractive` (but `--yes` remains optional)

commit 022f31b014f5f228739380ba91e5f1c5be77c25b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 11:26:51 2025 -0500

    comments

commit 8d8abfbecf388a2e62611771f722faf932f19fb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 11:24:33 2025 -0500

    `set-console-keymap`: restart keyboard-setup.service

commit 076d4538bd523af8519940ae4248d57371b95681
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 16:08:49 2025 +0000

    bumped changelog version

commit e302bc2cf6ef0ab439d70dfc398fa40acbdfe243
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:35:37 2025 -0500

    refactoring

commit e44c10d9478049d88599aa17c8cc9761951e4ba9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:34:45 2025 -0500

    improve error handling

commit 7a541a1c867859109f0e919e767d0c14a2bddbbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:33:00 2025 -0500

    comment

commit 85abb5fbe75cbe05f6051fbb688160ae312c29da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:32:22 2025 -0500

    comment

commit 095156597d6497dd14c76ae39a9b43d1d266e1b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:31:15 2025 -0500

    improve error handling

commit ebe53a574c7bd4d741575fc787d99d11753c6541
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:28:15 2025 -0500

    improve error handling

commit aa4ef15bb49e0a558fbb6393bd057117187c0b43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:26:37 2025 -0500

    fix

commit 4b3de78b29ee04da0078567ffc4c9bbe53560f52
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:26:23 2025 -0500

    refactoring

commit e6404d9528a3beae99816126792d05ec28c082f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:24:08 2025 -0500

    improve error handling

commit e8ce116edf42b782d215ca82dd2796f0e45cb59a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:16:22 2025 -0500

    improve error handling

commit 4b8d2d7ff6abce2e51c1c0192ecbecb1e92f2457
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:04:00 2025 -0500

    use long option names

commit 15cb57e5fdebbcc4c61f4b34d7e6294f9bc7f58a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:03:04 2025 -0500

    fix

commit c0f2c1b72efc5c535c418070913d6810ece2c9d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 10:00:05 2025 -0500

    fix

commit d165b4df991f43b7534c4b613346030f6790a205
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:54:23 2025 -0500

    output

commit 342c59f6f1039088cfcd155d01e9a49ebff17f95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 14:50:19 2025 +0000

    bumped changelog version

commit 9abddbcf4f138c30179ef9941e86dac1443afbe8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:50:05 2025 -0500

    fix

commit cce776c1be052b837a8d120181c8d328cdeafb58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 14:32:47 2025 +0000

    bumped changelog version

commit 9c23cf93e1301831d684f0834248e67750a4fe56
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:25:36 2025 -0500

    output

commit 78ba5365e55fa59a904553e2c54264b5c69b3156
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:18:41 2025 -0500

    output

commit 3ad8aee2eb689fd541bc36670c7f37544072f561
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:12:52 2025 -0500

    long option names

commit 1480c74fdcfde55e3991586434c0b82be2ba632c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:11:43 2025 -0500

    long option names

commit 118d42357837dafbc420b6c66626b5c32da222a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:09:21 2025 -0500

    output

commit 107dc1eba87cbbf5b3e719feffc5fdc01117b90b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:07:00 2025 -0500

    end-of-options

commit 6e6333c358f2eab991f3ac606b7ffab2651b2712
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 09:01:06 2025 -0500

    fix

commit 95fbb580670114326b1a682eb8b11f18be0d007d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 08:56:06 2025 -0500

    handle more cases where 'localectl' is unavailable

commit d9a43650e6891ed6bdff224854015409b3a2f4e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 08:53:29 2025 -0500

    refactoring

commit 2606ce34e8f1ef2cd25644c49fca1c1738bfd0a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 08:49:27 2025 -0500

    handle more cases where 'localectl' is unavailable

commit dd1b3b1f7d641b276d889c5e8edf1ec71763408d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 08:10:38 2025 +0000

    bumped changelog version

commit 3c585bd9f29137e7971c764bf3dec03b6cddf8f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 01:45:50 2025 -0500

    `/usr/libexec/helper-scripts/sudo-tools-enable`: add `su-to-root`

commit 9dea5c3228bf5b677c216f6c6a02f4ad73c3913e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 01:04:15 2025 -0500

    dev-adrelanos

commit 88a3f9df311c5335adba4403a55c461f07a4f2d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 5 11:27:47 2025 +0000

    bumped changelog version

commit 2bb6485c356888ccb8596d04cfac09b6d904069e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 5 06:10:53 2025 -0500

    import `br_add_to_file` from systemcheck

commit e7ddc80164884e9a32dd98947927bd0e54dfb5df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 12:57:01 2025 +0000

    bumped changelog version

commit 72b3c7558c3f966bea0083e500fe662fddceadf3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 07:56:08 2025 -0500

    fix return codes of `linux_user_account_shell_to_zsh`; refactoring
    This fixes a bug when installing user-sysmaint-split.

commit 9bba0230dab6766fe9ea1db603015249bda8f08f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 11:21:39 2025 +0000

    bumped changelog version

commit 9393458e6f0dd89317f8a9fa34ef8bccf9cbea9d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 06:10:58 2025 -0500

    output

commit 0b4db6de94f2afb74504cf1514028deb233ad62a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 03:41:56 2025 -0500

    set-system-keymap: improved error handling

commit df312bc516ffb7d117bf8cf17cb30939d694907c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 03:32:52 2025 -0500

    output

commit 5a8b6ecb80e5b58136fdc47da3c574d651abb108
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 03:32:09 2025 -0500

    end-of-options

commit 8d17e95ffdd5f8af4994b02867ae1bfe099fa3b2
Merge: 16652e6 9b3df3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 03:30:01 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 9b3df3c4073878a5f163dc75391d09a05390f55f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 2 17:55:40 2025 -0600

    Reload labwc keyboard layout after setting the system keyboard layout

commit 16652e65b8049fd870d0c4d01f5c2b9b220767ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 11:40:33 2025 +0000

    bumped changelog version

commit 7b86a99c46ff3413f50b6474db9729609cb3a6bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 06:06:51 2025 -0500

    genmkfile manpages

commit 96b18f4f8304ab20ed39dccfb71dc70d292cf6cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 06:05:22 2025 -0500

    man

commit dd36472e632defe9ad598bf2d6f7b5b58b8896fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 06:04:43 2025 -0500

    genmkfile manpages

commit ca1e7c6b2688e427edfb76784e0e6b3bce29601b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 06:04:26 2025 -0500

    man

commit f18687dda52d6f3a2fa3828b0249c5113d4b38d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 05:07:22 2025 -0500

    genmkfile manpages

commit cb6a20b13f58784cc2b2e861b6155b7e2ca6d1b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:31:51 2025 -0500

    man

commit a65dc1a20331ab0a03dd5f34fed8a869e3e706f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:24:50 2025 -0500

    genmkfile manpages

commit 945d645db4b0ab7b5633c05b4e5c4abb43a381e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:24:40 2025 -0500

    man

commit 02ffdacaf466d0e80fa3a3d8f0845874d0fd391c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:21:04 2025 -0500

    move comment to man page

commit e7ef340845d19bbfd624f7003ab106424f640341
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:18:06 2025 -0500

    man

commit dcd92579da1515e5ccc8a7fd5c48d5e5a7522f73
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:14:44 2025 -0500

    comments

commit 8d4e95e8c07fbea00d3b421fb55d25215d0195ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:14:05 2025 -0500

    comments

commit 09f6949ecb7db0c874960eab9146a5ff77666b6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:12:10 2025 -0500

    comments

commit b76cbda02335c4fd8b50c27c9a7fa4bf221f173a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:11:29 2025 -0500

    comments

commit e271c2a5082d288ff254a42ad68f945ad0834e13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:09:30 2025 -0500

    comments

commit 057e40e433a7e7e62ddcfe363e18c61f54124dc1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:08:25 2025 -0500

    comments

commit 2b4a9b739fda1a279b8810e7e1324e32f29400aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:05:43 2025 -0500

    comments

commit b85c89d6b8d571d6ed9a0b7aae124a9ee3d42c64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 04:04:43 2025 -0500

    comments

commit 490e90d3acafb5e72e133edb9f7405278851847c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 02:23:13 2025 -0500

    improve system-ready-check

commit be9e17df7118152bb6a9b2842038765026243270
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 02:22:11 2025 -0500

    `/usr/libexec/helper-scripts/pkg_manager_running_check` function `check_package_manager_running_helper`: API change. `return 0` on success. Non-zero otherwise.

commit e5b8ce7e9cc00c5f090e2c9c57ddebde94b150a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 08:16:24 2025 +0000

    bumped changelog version

commit 339a859625b303697db67500872e7aed9acec5b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 03:35:35 2025 -0400

    no longer depend on sudo

commit 2eb9149326a4fa03b1fd1cbd237de0ae7e79ff7d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 05:53:47 2025 +0000

    bumped changelog version

commit 50a878f3bc7d2891a9fd75c2f68ca46a33617c3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 01:36:56 2025 -0400

    fix

commit 3795b4c067fc8ea5c00c56e2b89fae8b8c5b4394
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 01:17:06 2025 -0400

    fix

commit 90a4e5152e4c4c5ad70032d84b044f75df9c6207
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 01:10:30 2025 -0400

    refactoring

commit 156d52c2489f342b66d0f3fc2444fe0549777113
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 18:19:51 2025 +0000

    bumped changelog version

commit e47112129e953140bd93c4bd86449c2d4c79907e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 14:18:29 2025 -0400

    test function run_as_target_user

commit 8f65a5fd3c7ce05c9cbcdc2cb1b99e09828aad45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 13:59:34 2025 -0400

    import from dist-installer-cli

commit 989f4ae880988c9b278b1ac5b6b3e0907045f3ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 16:57:00 2025 +0000

    bumped changelog version

commit 0b84f4050ce6457bf2e25a75548fde78498b3de8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 12:24:26 2025 -0400

    apt-get-noninteractive

commit 0cfcb0e6070677ac4b6e1f6c518cdee286dc3e6c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 12:20:12 2025 -0400

    comment

commit b5d3be1807c1be763c0f896bb6208a70eb25f763
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 12:19:46 2025 -0400

    remove unneeded TMP=/tmp

commit 4f59f9230f97f72cfd78e1e60d25b3acb279e6ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 12:09:54 2025 -0400

    `tor-circuit-established-check`: fix: exit `0` if circuit established. Otherwise non-zero.

commit 0f2169ac358d7fd726d820aee206582913d0a7c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 14:37:46 2025 +0000

    bumped changelog version

commit 16faff182803d4c44b2572614f6ee494c3e0ded1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 10:25:05 2025 -0400

    Revert "Move apparmor-info, apparmor-watch to security-misc"
    
    This reverts commit b1040c613752c2d0df3bb6b29f22a3da0346a399.

commit df81180537b38c486c7ca0219ba0fbf6f055e0cd
Merge: bb00abb b1040c6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 31 10:17:01 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit b1040c613752c2d0df3bb6b29f22a3da0346a399
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 30 23:01:05 2025 -0500

    Move apparmor-info, apparmor-watch to security-misc

commit ec58864118159c02aea662dab3c7678e9c37128e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 30 21:15:11 2025 -0500

    Create query-sock-pid script and library

commit bb00abbeb202cc2bc718fc10c5c5fffce048816d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 08:25:12 2025 +0000

    bumped changelog version

commit 1d2aacf8b05f8de3f9fff7640268f214dd192cf6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 04:24:14 2025 -0400

    output

commit 5312b3d1b95a014559f00b4e29f17dd12ed7c540
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 03:34:11 2025 -0400

    output

commit b7372f023c7e1f08e0a126049996f1175798c734
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 02:38:13 2025 -0400

    improve read_integer_file

commit 0dfd80a7dfc0b659cf9cecb14384505493313a77
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 02:36:19 2025 -0400

    stcat

commit 8ad386004648f7f052d8d743fd269a054c9377b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 02:35:53 2025 -0400

    import read_integer_file from desktop-config-dist

commit a3d74f2316b77640e7d1c2c668f40709970b4ffb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 06:04:24 2025 +0000

    bumped changelog version

commit 56ffa57780c442891eb2afad7a555b46336287f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 02:04:09 2025 -0400

    debugging

commit 92f7a5102a1cd3810c61157e57ce2bd4e4eec6ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 02:00:21 2025 -0400

    fix

commit 45da9a33a4526d3d3ea3d8e941541c15608df258
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 05:47:48 2025 +0000

    bumped changelog version

commit ba717f9426c6237b4d64983a58e0775d01ed086c
Merge: 82ca64e 299d109
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 30 01:42:10 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 299d109bbdf7f1e95ebfe592e6e1ce578c5d928f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 30 00:15:22 2025 -0500

    Improve lock-screen notifications, integration with LXQt

commit c16c9d29d7830442b61571d7a55b3f373feb80c1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Oct 29 20:23:49 2025 -0500

    Move lock-screen to /usr/bin/

commit 82ca64e9ee247c2b8e03b64c811d18b346a033bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 29 07:36:06 2025 +0000

    bumped changelog version

commit 189dfda6085e75ea345d7b5ab2e8db1ae26d55cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 29 03:33:18 2025 -0400

    systemctl --no-pager --no-block

commit bda3e01bcd52d1e8343391d56217603ee5b727a3
Merge: a72e12b f7f771e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 29 01:59:09 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit f7f771e9f311818a43194bc91a8197a2f7635637
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Oct 28 22:34:36 2025 -0500

    Split tor service wait logic from qubes.UpdatesProxy.anondist into try-wait-for-tor-service-running

commit a72e12bdc5850852d129de6e6de44055d9512833
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 28 04:51:17 2025 -0400

    improvement

commit 6f5f87d3714e287eecf929473c98675b23ebeb31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 28 08:31:49 2025 +0000

    bumped changelog version

commit a8dd66f400e74bf6cc894ec8a65b8734453f3f19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 28 04:28:57 2025 -0400

    fix

commit 62daeadd8190d78893ccc3a6954426986da3dd38
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 14:21:47 2025 +0000

    bumped changelog version

commit 7595ac742ad4b292ce82629bdacfc2c4e2ab469b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 10:11:37 2025 -0400

    add `leaprun system-ready-check`

commit 270c316b3a056908d46e5fe9e2b5c0d3c49ca8f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 11:43:34 2025 +0000

    bumped changelog version

commit 1f1b646bd51ba33bac3521ce6d73335462bb47ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 07:05:53 2025 -0400

    readme

commit 0a9b2f730fe471b03ff432171a795c2bc2e3a526
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 06:19:02 2025 -0400

    code simplification: use `ischroot`
    
    deleted: `/usr/libexec/helper-scripts/in-chroot.sh`

commit 7d490a8a964f732d48fc1e0c6524624ba78333d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 06:18:17 2025 -0400

    code simplification: use `ischroot`

commit 0719b24e0dab1fc7ceed1a688f4e8f1d42dba64e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 08:41:28 2025 +0000

    bumped changelog version

commit 69e457531aed8195463e80376e5348539f214eea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 04:38:32 2025 -0400

    comment

commit 9f66a07daaf6c950aa96e3b3ed8744060f4831ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 04:34:04 2025 -0400

    fix

commit 5be2d1b0d29feb8da3e378ba91f5807e36c9e52d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 02:21:43 2025 -0400

    chmod +x

commit 1af1bef2ccd26fa7825f86e7a93e3b9cc0a6dfde
Merge: 9428d68 2a55d3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 27 02:21:07 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 2a55d3faf16556ccf7149c8cd85d86c62e19790a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Oct 26 15:52:45 2025 -0500

    Add set-console-keymap script

commit 9428d6832f00d3fa9fa3c342cc2343529b861a44
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 13:09:47 2025 +0000

    bumped changelog version

commit b2fb1685d52d6eb2dec7da97072f4bd32fdb2e7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 09:03:55 2025 -0400

    add git.sh

commit e95872807712c0c389fb2dbb6cb2ca78754ce772
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 12:28:55 2025 +0000

    bumped changelog version

commit 0257e8c67258ba9996acfde3be0c4dd381adad97
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 08:04:23 2025 -0400

    more robust, standardized kernel_cmdline variable detection

commit 1bf6ce659c7ba1048f02c45e87c8468631d7468b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 07:55:55 2025 -0400

    indent

commit c76a21ae1aa3eb824dca8741d47f16de880df406
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 07:45:52 2025 -0400

    refactoring

commit 3105943892f8018cf273fe4bb57943b491e273e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 07:44:57 2025 -0400

    refactoring

commit 688cd31b76bf446a78fc0d4ffd2d49fae4b91ce4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 07:44:10 2025 -0400

    import user-sysmaint-split-check from browser-choice

commit cfeb249c52ff5d8e3c24a2bd23691f91fed53bdb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 11:31:03 2025 +0000

    bumped changelog version

commit 901b3f98a17e0fa343e33eedb75779eb0cf222fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 07:25:16 2025 -0400

    new function sudo_error_exit_if_unavailable

commit 429e0e89cf7c8c84719dc813112e6a924fe0021e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 10:16:43 2025 +0000

    bumped changelog version

commit 39210e9c52b62289526651d6b6605eb9099df9af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 05:58:05 2025 -0400

    use ischroot

commit 479c70ec49a321b360069444533456007a21dbfb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 05:46:27 2025 -0400

    end-of-options

commit 43c619e4a3c3bebb20306e09b3a64252c28c2528
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 05:44:37 2025 -0400

    chmod +x

commit 4f631a071ccbd824faec767cada443c49dc66bb7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 05:44:20 2025 -0400

    debugging

commit 50bd3d3b3ce594818b471ba288b2b12883d8f310
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 05:43:08 2025 -0400

    comment

commit 422c95417a085897c868ce101a514cb9086760a0
Merge: 16b9434 6e837e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 26 05:42:00 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 6e837e1001afaefd61a829979a44eeadd64f8351
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Oct 24 17:41:39 2025 -0500

    Add in-chroot.sh library, avoid calling localectl in a chroot in set-keyboard-layout.sh

commit ac36b64fff50f9fd7f8f3a015f4ff17a8e66c973
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Oct 24 16:27:18 2025 -0500

    Display keyboard layout change success message in both interactive and non-interactive modes

commit 16b9434c04b6fc3233e8ec412652216180fc72a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 08:07:11 2025 +0000

    bumped changelog version

commit b8f4a1fbb3051a17c457ebf74f51f7efc99fd498
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:59:42 2025 -0400

    improve lockfile

commit 4822c1c7f3be9e18ea6401a5fa0116e00f0fddf7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:58:08 2025 -0400

    improve lockfile

commit 00e0a4cdcddc845aed7609fe40f8d154333c4e94
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:55:54 2025 -0400

    improve lockfile

commit f700befed53692616e0e0fa8645129f37d0bcd4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:40:29 2025 -0400

    add disallowed-test

commit be2f34f61508051f64e844f49b06f9c43bce8cd1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:40:19 2025 -0400

    comments

commit 6b7eeb7a8c6655aca65fa4dcf5469f43cd26cf80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:39:32 2025 -0400

    improve lockfile

commit 053fe61e8ff854d83eca27a9c261693d0bc538bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 03:12:33 2025 -0400

    improve lockfile

commit 0a3b795c9d5f79de1010e230579b7ca6cbf721ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 06:12:09 2025 +0000

    bumped changelog version

commit d3c2b9a2a1d24c556f7543fef030cd02dd61cb37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:58:45 2025 -0400

    comment

commit 0115f45a7e955d74535ee5f158be9de536138f5d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:56:49 2025 -0400

    output

commit 1042ae2fe6b0c347f037ff71976cdcfc7b4876d2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:52:48 2025 -0400

    reload labwc if running; output

commit 5e118cce320e8d55374be4c523a554003e92054a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:41:39 2025 -0400

    add root check / non-root check

commit 3c35c377a5a9179ea15cd7bd85766aa4abe4596d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:26:28 2025 -0400

    improve error handling

commit e17e17d2397414af4dd53d2048d082afca0a8a6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:09:26 2025 -0400

    fix error handling

commit c8c38756dbfb088d52adc586c14af7e801f42460
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 01:01:42 2025 -0400

    add error handler

commit 6028c5d414387ee69ed487312e5af5723d0434b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 00:55:37 2025 -0400

    set-system-keymap: filter spurious error messages:
    
    ```
    cat: '/sys/bus/usb/devices/*:*/bInterfaceClass': No such file or directory
    cat: '/sys/bus/usb/devices/*:*/bInterfaceSubClass': No such file or directory
    cat: '/sys/bus/usb/devices/*:*/bInterfaceProtocol': No such file or directory
    ```

commit b33e446a218937ad65aefb8a9853177d1af5f102
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 00:42:17 2025 -0400

    comment

commit 4f1dbe72bb8b04c637eec7e6d1c13010ea7ba3e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 00:39:52 2025 -0400

    show /etc/default/keyboard contents before executing dpkg-reconfigure --frontend=noninteractive keyboard-configuration

commit 140a5dcbc7428fbeca082bba402a4752edef34d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 08:40:42 2025 +0000

    bumped changelog version

commit 13f41955954903df752414826d8fa4e9db9ea34a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 04:27:00 2025 -0400

    fix

commit fa59de4df6e1c413894a0374e0e8b74642d37d09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 08:17:26 2025 +0000

    bumped changelog version

commit 900d52fd4c9c803cfb0499c3dbf9fe249adfdf8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 04:17:06 2025 -0400

    chmod +x

commit 8a9e33c1f7ac1ff2cbbbb699f5f04ce9bfa04476
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 07:21:24 2025 +0000

    bumped changelog version

commit 65d41469d79cf4e04abf600d77dc5c4bc35f1a67
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 02:27:45 2025 -0400

    add set-keymap-test-plan
    
    thanks to @ArrayBolt3

commit bfa7e84c2a1231d8c5d72c0bdc67e92103fa82bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 06:02:23 2025 +0000

    bumped changelog version

commit d52bd94f8e49815a2be3a06d27fa5b76874537d6
Merge: b2a9b45 e63f412
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 01:41:13 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit b2a9b45c4e70dcf8254407cb1f4ed8f167a5ec03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 01:37:22 2025 -0400

    end-of-options

commit 49b7d2535a79e3213c7e80c88e033108d2a5bf98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 01:33:32 2025 -0400

    refactoring

commit 7daac0df8d5ba5d39f44c0fd98f49c0249441f69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 01:30:24 2025 -0400

    refactoring

commit 97981ed593b868e230ff9bd32bb22b778bc4a872
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 23 01:29:10 2025 -0400

    add `/usr/libexec/helper-scripts/boot-session-detection.sh`;
    refactoring

commit e63f4120cc0a5210c2cfdffcdca9656f58cf0f49
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Oct 22 19:41:21 2025 -0500

    set-keyboard-layout.sh fixes

commit 880ae05f46a601cfb1775720b675f5757164dbef
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Oct 22 18:47:33 2025 -0500

    Apply ephemeral keyboard layout change fix from ChatGPT Codex with minor changes, set executable bit on set-keyboard-layout.sh

commit 55c67485f84bc3807461303615035240613e9f99
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 06:23:30 2025 -0400

    end-of-options

commit 7ae68242626fe54f2b150e05be5b6d6dcaa8e1ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 06:20:53 2025 -0400

    fix

commit 1ba00c47df2332d5945fee5e159ee60c59f97dc1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 06:17:39 2025 -0400

    fix

commit 28e1c1cc67cbcafe27461cb7bc984b4a309582cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 06:17:07 2025 -0400

    fix

commit c982ca2b50f23a9fa6d0659b2129d939d088e3d2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 06:12:58 2025 -0400

    fix

commit 1e03b07461f9bebb4c787e01a63e9f1a4b68c08c
Merge: b431596 00e02a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 03:24:14 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 00e02a4cf8e0181325b552a0cf9dc275a74def24
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Oct 22 00:02:19 2025 -0500

    Refactor set-labwc-keymap into a library and two frontends

commit b43159600a25a4cb17418b04d9848db214e75715
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 04:38:48 2025 +0000

    bumped changelog version

commit a7ed67874f9769e52d1ee6cd0c3a2e72f919a0f7
Merge: 1f715a1 b8faba3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 22 00:32:11 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit b8faba359f46aabb00f5db950aaba42aee4243f1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Oct 21 18:44:42 2025 -0500

    Add interactive UI option and start menu entry for set-labwc-keymap

commit 8a31d91183918fe0dcdca5bd5bf01d8901a95a28
Merge: 1e7fc0e 1f715a1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Oct 20 20:31:14 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 1e7fc0e26cb761189f744cd1ca3b2491d46d6135
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Oct 20 20:25:24 2025 -0500

    Fix several autologinchange issues (collapsing lines in greetd incorrectly, failing to remove effectively empty greetd config files, use of echo rather than printf)

commit 1f715a1b6ef8db4bf59598783658b0a2cd3b8bf3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 20 16:49:59 2025 +0000

    bumped changelog version

commit 40dbff6de0b2b88419cba7070472a3472254c470
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 20 12:44:51 2025 -0400

    dev

commit 64d5d8bd98c1b1cc0ac4b844fb9c67a66780ba23
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 20 14:51:33 2025 +0000

    bumped changelog version

commit c14a4ba1026f230f489dca519c9bc9a1176982f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 18:18:29 2025 -0400

    output

commit 88f5d5e3de6599c9d4583c16c8964aae3e42a2e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 18:15:33 2025 -0400

    Revert "lockfile.sh: custom error message version"
    
    This reverts commit e09cb422750489e6a8f2ec57504b22075e3d52bc.

commit e09cb422750489e6a8f2ec57504b22075e3d52bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 18:14:15 2025 -0400

    lockfile.sh: custom error message version

commit 03a8a09de546bff84a4bc0088838a8f3fad5c106
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 18:04:03 2025 -0400

    minor

commit feaea0c4cd856eb5d5c44a68cea7a9541048efb8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 17:49:32 2025 -0400

    fix

commit f3d3bc1354fc28dc3476796b817fd0d4f0e28635
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 17:17:56 2025 -0400

    fix

commit 0a156a3c636a0aadeda308a1404656fdd5381218
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 17:13:09 2025 -0400

    fix

commit 072a63c9c9706acd852d6195acecbe457f9ee163
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 16:52:43 2025 -0400

    add lockfile-test

commit 703a8fdc0a9b0b5a886c37c43b8860888b7326d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 16:52:33 2025 -0400

    fix

commit 68666fb6119a6eb51194f9ae4529407c1c85855a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 16:38:11 2025 -0400

    fix

commit 9d4c386ad164ee30e4aba4eec1f53fcc3eaee87f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 16:32:22 2025 -0400

    fix

commit 637f47e5aa91b8ae5d2a00a31c28c6c81a3275fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 16:26:29 2025 -0400

    add `usr/libexec/helper-scripts/lockfile.sh`

commit c6ef7c08fa3d29755289dbad464812666cc42cf8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 10:43:39 2025 +0000

    bumped changelog version

commit e777d6c55ff7e23938b977e89dea16d6bcd6531c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 06:30:33 2025 -0400

    fix

commit de91019a674774851ac73ac19ed6ea9284945308
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 06:25:56 2025 -0400

    minor

commit 100f47d3ecc732061db87bceaba071c6de0e2476
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 06:24:21 2025 -0400

    fix

commit 019106f69333bf1c9d77ba52b466913465364ae9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 06:09:12 2025 -0400

    add random_alpha_numeric

commit 9280c95aba304b6cd1342630d1a25dce808b1e86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 08:56:01 2025 +0000

    bumped changelog version

commit a8bea380e8e98ccd8af05928ea03a5e0663e1d63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 04:53:28 2025 -0400

    output

commit 893b20476fa38c629be6005ae9029cef5bf4b509
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 18 09:08:36 2025 +0000

    bumped changelog version

commit e813f96cb18380fd80cb2377b9b15952be758636
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 18 05:02:24 2025 -0400

    bump

commit cf52ffad6e41888c72ffb2ac1b072041a546012a
Merge: 8995a93 4750dba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 18 04:42:59 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 4750dba56777fa1f157b72a3fc76b149c255932e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Oct 17 14:59:54 2025 -0500

    Use 'passwordless-root --qubes-rw' in dev-root when necessary

commit 166fa110eba85b96207e1444061fa9c0e2921080
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Oct 17 14:57:52 2025 -0500

    Use /etc-based sudo enablement in passwordless-root under Qubes by default, require --qubes-rw for persistent-in-AppVM mechanism

commit ef2f3da4f00e1429f31424a13ae16865cf0470e9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Oct 17 14:52:45 2025 -0500

    Move passwordless-root from usability-misc to helper-scripts

commit 8995a934e1cdd3c9b8c205fb20ba02e3970678c4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 13 13:46:37 2025 +0000

    bumped changelog version

commit 5a37534a5f2f77168ec5df24f942f9a8b8cc4ec0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 13 09:19:54 2025 -0400

    refactoring

commit 87eaed6631747b1af8c929520f07d8e694fe64a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 13 09:17:42 2025 -0400

    fix

commit 260258dd80ea5196ce59af89cef072298753211b
Merge: ecb1ec6 3ff521d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 13 09:16:02 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 3ff521de95abe363778def38344ce70e8ba32092
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Oct 12 09:32:24 2025 -0500

    Fix usage of start-stop-daemon in dist-virtual-keyboard

commit d6dd4f62a98f1440848da387dee8d956ac6762e1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Oct 12 01:03:11 2025 -0500

    Allow deleting config entries in config_builder

commit aee26139baba134c29b0add0466f2538f58935be
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Oct 11 22:41:08 2025 -0500

    Polish set-labwc-keymap argument parsing, write messages to stderr, add --no-reload, --config, and end-of-options arguments

commit ecb1ec6c374b712ef4724ee9f5b240f644490396
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 12:44:47 2025 +0000

    bumped changelog version

commit 1eef68a22eadeace760e2537116c950aeac7e252
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:40:43 2025 -0400

    output

commit be16116927b57b2faf7b7a1c0498232c3b1311e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:38:39 2025 -0400

    debugging

commit fe68546f2b4d41437a38297120752400c7eac7ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:33:16 2025 -0400

    fix

commit d6b863ee2258c0e86220c123e4911e04b1bb8703
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:31:22 2025 -0400

    minor

commit 837ed8678483ce0acc9b3c9a7d0ce6d717ca8f97
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:30:49 2025 -0400

    output

commit cffc483c94e0ed67a791b9c9d87b2837e766af88
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:30:24 2025 -0400

    fix

commit e608f00d2fca585545c321619de040dc53da0a98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:29:13 2025 -0400

    fix

commit 63b67d47958fc80fbc8221fd48a3acfc35bbb13d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:25:20 2025 -0400

    fix

commit fb7395c327c0021a6bdc9eb861049687b605c5d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:22:11 2025 -0400

    improvements

commit d97b2752c5cccf25f702ae58b5b74aed5e8790f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 10:48:35 2025 +0000

    bumped changelog version

commit bb1608417a6eefc71508b1a81123ed0ecefc5385
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:47:13 2025 -0400

    output

commit 459a804af640db3bc5235e0f4ccbf6575e35d6fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:46:29 2025 -0400

    improvements

commit d7f58f0ca495baef5a32167e1d8b9a288567ff15
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:43:48 2025 -0400

    improvements

commit f4482f62cf139d2ba932743d9aaf78af8cb5c5a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:42:59 2025 -0400

    output

commit 956a7f5868557707d97727f5ac8433d4da8ae20a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:40:38 2025 -0400

    `set-labwc-keymap`: use `overwrite` and show contents of created `~/.config/labwc/environment` file

commit 62d15bcf621655f3fc1eff879d9100aa98760be7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:28:46 2025 -0400

    output

commit af1d6178989d03f5764931cbe84f74804f27c60f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:24:46 2025 -0400

    fix

commit 3062f694cf848a1d8ba2d54125346e373ad1af4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:21:33 2025 -0400

    minor

commit 810a97a47242bbd468efd54759ba30a3d8e09e93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:18:29 2025 -0400

    use overwrite

commit b60ae1fafd1362445fa449984a9d8a9bb30fcbd1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:16:51 2025 -0400

    end-of-options

commit c176f60c4b5c919c02a4c2162d6d4498f1dd2597
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:16:18 2025 -0400

    improvements

commit 6cce0f2a4a58047b89d011c7bd2772cf0377cdd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:15:11 2025 -0400

    improvements

commit ba2af0b10acbc501dbe80384ea23018e209afb3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:14:33 2025 -0400

    sanity test

commit 91fe4b2d80bb56d11744a49908f1ef96ccf7de61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:08:44 2025 -0400

    chmod +x

commit d948a7bab6a3b6d89dbcc1daa8f52f5b2d961301
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:08:36 2025 -0400

    local

commit 20b63810613c25ec71c6a202eb32b78542fcb6c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 06:06:50 2025 -0400

    sanity test

commit 99ea7a7a8c3f80f22caafb4638ca41483350e7b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:02:37 2025 +0000

    bumped changelog version

commit 124a66ea3fc303481f02c65079ca86d8d7282f93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 03:52:45 2025 -0400

    `dist-virtual-keyboard`: port to `start-stop-daemon`

commit 0a283d293712e92abcbbfbc26429391b110f09d8
Merge: 2dc9a8c 41ae1e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 03:47:26 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 41ae1e120672b94351a4c3889181bb9be2991eb0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 9 22:46:21 2025 -0500

    Create set-labwc-keymap script

commit 59d568feb017b381c51727654cc7057fe865aa43
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 9 18:46:23 2025 -0500

    Move dist-virtual-keyboard from usability-misc to helper-scripts

commit 2dc9a8c9b1a0a9e71ccd3236b8095565d0df5175
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 9 12:11:25 2025 -0400

    add `env-sorted`
    
    (`env -0 | sort -z | tr '\0' '\n'`)
    
    Thanks to Iguananaut!
    
    https://stackoverflow.com/questions/60756020/print-environment-variables-sorted-by-name-including-variables-with-newlines

commit 6c1562ef44bcc6ff1f35db0ed9b6990064856083
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 5 19:14:45 2025 +0000

    bumped changelog version

commit d279907d2bdd2731b3cd32a32b896672d84bca80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 5 15:01:54 2025 -0400

    comment

commit 33cfd74b8d1976a4b5999833199212cea4efd9f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 5 15:00:44 2025 -0400

    trixie

commit 0af5e4636c8b18071e88e56c2ae67312b117e6f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 3 19:28:39 2025 +0000

    bumped changelog version

commit 45f941d31e42efc592107a979547508621d882e2
Merge: a2a61d2 cb512e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 3 15:27:15 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit cb512e6347a6cdcd57d7f12a4a9a0bf852a3ef29
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Oct 3 13:41:18 2025 -0500

    Only include abstractions/tor AppArmor file if it exists

commit a2a61d2185bd04d95ebcf41db1b903b2d886abce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 1 09:42:04 2025 +0000

    bumped changelog version

commit bd4a5ee82d0cf72515a5bbd4552608d090c7864d
Merge: a426187 fcf41df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 1 05:38:50 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit fcf41dfcb51a1a6f25cf90f2916fcc9aaf04e47a
Merge: 80ef7dd a426187
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Sep 29 17:10:21 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 80ef7dd834dc4cf079db3cd25a17f45ba47fc5de
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Sep 28 19:53:23 2025 -0500

    Fix backing device detection for live ISO root filesystem

commit a426187934e611cda1f536c7857e4f992ab5e1a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 21:08:27 2025 +0000

    bumped changelog version

commit 9f044c3ed880b57f1dcf5397cd947a62518dae2f
Merge: 791df21 97316ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 16:58:47 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 97316ea83e39004b6f19f06658056c05d94c5e2e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Sep 28 12:14:30 2025 -0500

    Add Wayland screen locker support to lock-screen script

commit 791df21e1b740bcbed4bbaa61809a83868d55afc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 13:46:56 2025 +0000

    bumped changelog version

commit bddbb9a8503d29d1b3069e33128c65d38b00f998
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 09:46:42 2025 -0400

    fix

commit 5218714e0be107ee8c52a959b0f7437f5152970e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 13:38:25 2025 +0000

    bumped changelog version

commit 0c9682ecd1277146e1ba3480964182aa28524017
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 09:20:20 2025 -0400

    genmkfile manpages

commit 7340dbae93e0ad88d42b374d806d6910f48725ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 09:19:55 2025 -0400

    manpage

commit c99e4036046f9139f3338ae153f72e440db8c0ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 24 14:07:16 2025 +0000

    bumped changelog version

commit efcbe4507637312b216cdb7a95826f65f2857042
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 23 10:29:20 2025 -0400

    origins-parser: fix
    
    cover status where `/etc/dpkg/origins/kicksecure` and `/etc/dpkg/origins/whonix` are no longer a symlink to `/etc/dpkg/origins/default`

commit b7b8627a45b658d8066b2bbe72d361ed900a2822
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 23 10:00:35 2025 -0400

    origins-parser: safe init

commit ae61c351238e9cac156b362cecd463413632cb37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 22 17:13:30 2025 +0000

    bumped changelog version

commit 7d188174df401cc5cc6f37502b833a0b947aa709
Merge: 7210442 a418b1c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 22 12:59:05 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit a418b1c6413cfa9c98b2b0aa4d7b27696a95b98b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Sep 21 16:02:17 2025 -0500

    Comment changes for security-misc split

commit 721044210255d9773dec643bc4164483e988b25e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 10:49:57 2025 +0000

    bumped changelog version

commit 565b54c324382017b8c1528e4b3f9df8adc5cff5
Merge: 046951c 209c3b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 06:39:56 2025 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 209c3b3e04776b79a482dcb972fcda35ef864d37
Merge: 046951c 76f9585
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 05:04:58 2025 -0400

    Merge pull request #10 from DanWin/ipv6
    
    Add GATEWAY_IP6 variable

commit 046951cf32b7916326eaef0e5f4dc433695c8974
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 08:30:09 2025 +0000

    bumped changelog version

commit b4e316d053e704440a6d4b348d459ca06f381a3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 03:58:24 2025 -0400

    genmkfile manpages

commit 708ce6931f00a26f06ac695221fc5a56ba2f6e55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 03:58:07 2025 -0400

    man

commit 3f6cd13e6076042b8864676d6f96521c44c87c39
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 03:57:33 2025 -0400

    comments

commit 70a1d1f957e7b8ad9f02ec6b8ee7dd41d1850c4c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 13 03:55:42 2025 -0400

    * remove no longer required `apt-get-update-plus`
    * `upgrade-nonroot` is now using `/usr/bin/apt-get --update full-upgrade` instead

commit 0e8712214da149f6640d06a5efb69c52a584ad0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 12:03:23 2025 +0000

    bumped changelog version

commit 69f1cc7a4b2df36e5bfdcac7ecac38b1d75e42ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 07:52:42 2025 -0400

    no more bashrc modifications to be on par with zsh

commit 4f8ff9c8ac98d60c6ee802123220ff8804eb46e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 11:31:08 2025 +0000

    bumped changelog version

commit ba4580bf9089dc183fd50f724524aa5d61fbe568
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 07:28:41 2025 -0400

    python3 -su

commit 65d9616b4ae2e94174fef24456d152c9b1b7d233
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 07:12:28 2025 -0400

    dummy-dependency: use single apt-get command to remove original package and install dummy package

commit 6fef90bc79de1cd0789bee3e3f73b2066d677c47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 10:42:41 2025 +0000

    bumped changelog version

commit 1d21f2bebd072a9612aaf23b88b82618abf91ac8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 06:37:29 2025 -0400

    avoid shell=True

commit 8b8994ca800a3dff3379299663c56bc872c68896
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 06:06:16 2025 -0400

    lower debugging

commit d5d13d451e238406501e2e3acf24fd4a0ef2dbf7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 12 05:27:01 2025 -0400

    get-backing-devices-for-mountpoint: improve parsing of `/dev/dm*` devices

commit 2d4d5c5061edf0d6cdfb1ad183615571c2957ea9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:45:58 2025 -0400

    get-backing-devices-for-mountpoint: more robust symlink resolution

commit 2495e1a0b2110936349c54df030d44d96ef63f71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:30:45 2025 -0400

    get-backing-devices-for-mountpoint: more robust parsing of loop devices

commit c564868f4a4f3c394302eb15d5c3913ece79f45a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:23:09 2025 -0400

    fix live mode tests

commit 9f238e86a216da91f91dd24d1056672b1fe08082
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:21:23 2025 -0400

    refactoring

commit 8fcf1d85572bba07e82b1a44b615d848b09f379e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:18:25 2025 -0400

    allow overwriting kernel_cmdline for test mode

commit bf3004d61fd382cf2f79e26514c78d4ccceea8a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:14:22 2025 -0400

    debugging

commit 2bf6e62de0475842918eeaa34a13af2e0cedb17e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 11 01:03:47 2025 -0400

    debugging

commit 7ac593fb81c38f287d0cd94f22a69cb36637b09c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 10 11:13:08 2025 -0400

    avoid shell=true

commit cadbdb7f656e0760b2338bb7e68e4d1a3ee8b342
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 10 10:39:36 2025 -0400

    remove tabs

commit 4bb1fdfa89c83fc856d57870d81d3e68c7f4412a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 9 15:53:29 2025 +0000

    bumped changelog version

commit 437e948043de13314e820b4d1e2a1f518cb982ca
Merge: d938255 a1692c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 9 09:28:02 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit d938255d698bee5b4cc9f63acf4303dc934229b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 9 09:23:52 2025 -0400

    fix: exit non-zero on error

commit 94a9e710f0f860f27bdd880f546ad25201fccb7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 9 09:22:46 2025 -0400

    dummy-dependency: add `--cache-only` option

commit 76295f09b84fef49a32fa5ae0d6a9c8cfa5c9f67
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 9 09:15:50 2025 -0400

    output

commit 557c0175d54e3d162e1564bf6ccc1bb7920d81dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 9 09:01:58 2025 -0400

    minor

commit a1692c2f1d2ad9a583a8866616d8e7651ef3d4e7
Merge: 0c83434 8df07d6
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Sep 8 18:50:05 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 8df07d6be5d3a915fbdcf2876b12eb831baba6c4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 8 12:07:19 2025 -0400

    quotes

commit ac442a1e574cfc0696a50ead409b87e8d7850ad6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 8 15:56:30 2025 +0000

    bumped changelog version

commit 5caf5d39b6882b8641d1f1ee95f450d27430b900
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 8 11:23:36 2025 -0400

    printf

commit d4852a47e663277b7a0eeb9ffbafd0efabc2e989
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 8 11:22:59 2025 -0400

    end-of-options

commit e23a2da05b16f5018aeed9e8b8f680a3f71a5081
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 8 11:19:59 2025 -0400

    dummy-dependency: fix, implement actual package remove or purge

commit b70b5dd7fa2689be5e9ab799bb9028b1c8dd5ab1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 8 11:04:25 2025 -0400

    end-of-options

commit 0c8343425a9f0cc3279dd4f8906d700c2ac1f9b5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Sep 7 10:32:01 2025 -0500

    Switch dummy-dependency from using Breaks/Replaces/Provides to using Conflicts/Provides

commit 38b131e8f1bcf814790b807e6b92c9100fe016db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 15:16:05 2025 +0000

    bumped changelog version

commit 46bf631fdd10034a29df26d204cafc352d9a4591
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 13:46:00 2025 +0000

    bumped changelog version

commit fc5fe0b23f64700b2de33fd7701799040aa06b4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 09:45:45 2025 -0400

    bump

commit 623a53680df61fd8d23809671e9a2d41db638c8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 30 14:15:16 2025 +0000

    bumped changelog version

commit fba3aceca829c2df5ae7fe94a4b22d09bc136156
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 30 10:07:11 2025 -0400

    bump breaks version

commit be28edbd8b66e179039e2fc7a089dc9bf2d9db7d
Merge: 979acc2 99840f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 30 07:53:48 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 99840f2c25271f06373f6e1a9c6c9f00590761cf
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Aug 27 19:35:01 2025 -0500

    comment

commit 979acc2fb21258f3deec4412c48b05ca693c1e23
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 19:21:48 2025 +0000

    bumped changelog version

commit 62741f7a7abec1fc1551a495b67979c285f00675
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 04:21:44 2025 -0400

    genmkfile manpages

commit 1eb2f3e6ea692a2bcba48e9e89fc1e92e3671897
Merge: 82eb7d3 d51768b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 03:49:47 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit d51768b3f49e0ed232c0354060dd5b3e72a3c5e4
Merge: 9364d0b 82eb7d3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 26 19:19:42 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 82eb7d302fad1dd1783762c0c465360b5a6f40e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 09:06:14 2025 +0000

    bumped changelog version

commit 6e276f5c5aecda1f3797110f9b32c7347434bead
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 05:06:13 2025 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit c830c8c08d931005ff7b11c1cbb6cfbe55c322aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 04:59:57 2025 -0400

    comment

commit 080210413c94cfba24ff141e1c7f7a477a4b9620
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 03:01:56 2025 -0400

    add str-replace-many

commit 9364d0b9803e21219265b08a5ab1c84f4de8b7b9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Aug 25 19:10:40 2025 -0500

    Move dpkg-noninteractive from usability-misc to helper-scripts

commit 32aa9da992b1567eee9e07d57e864d91e80c0223
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 24 00:08:13 2025 -0500

    Prevent light_sleep from crashing scripts that use set -e

commit 671418b54519aa9a9be4be4101180ca28ef6abb3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Aug 22 19:29:59 2025 -0500

    Remove initramfs-tools-specific debug helper script

commit 81d8eb6d502c80f089637a9dfd75f26db004a45e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Aug 22 17:23:59 2025 -0500

    Add memory-efficient sleep alternative 'light_sleep'

commit e8f68611ca14d93031af565e708e4a541410a14c
Merge: 4159464 56a098a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 21 19:50:06 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 41594643e7882586c34b181689865dce918dd119
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 21 18:19:35 2025 -0500

    LXQt porting, add configuration build utility, revise live mode detection for Trixie, make package_installed_check.bsh a callable script

commit 56a098a0c0433bef6d904d88266b4833ba092a54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 07:37:44 2025 -0400

    genmkfile manpages

commit 0a06a1a7655063e234498a4cff3a7370cb8d2227
Merge: c412a65 006f9ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 07:37:12 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit c412a6576f2f26291ce18519343763497a486c1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:57:26 2025 -0400

    bumped Standards-Version

commit 17ecf75668bed59ed917e83ad02046cc530f4cc3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:25:32 2025 -0400

    readme

commit 006f9ea87d0ee0cfc7c16598b96b23dd0295b9ab
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 10 16:10:20 2025 -0500

    Move upgrade-nonroot from usability-misc to helper-scripts

commit 1c14985ee291096c1d0651bb3baf5ef718f38c95
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 10 16:07:15 2025 -0500

    Move apt-get-reset from usability-misc to helper-scripts

commit 05db770be82fb03b4e3815cb83f4c41e10e86431
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 10 16:05:46 2025 -0500

    Move apt-get-noninteractive from usability-misc to helper-scripts

commit 8285019daea0f45132d48dfb4a0306388df038dd
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 10 15:47:59 2025 -0500

    Move apt-get-update-plus from usability-misc to helper-scripts

commit ae6e026832e41d6e9664ba3c5ee3529df43a0047
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 10 15:23:35 2025 -0500

    Move security-misc/apt-get-update* to helper-scripts

commit acfc112c138526531ef2e0febb2fe231a80ab54b
Merge: 0cc4226 3541096
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Aug 9 21:33:32 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 3541096b268da484b9481a06fa642d7a24f71089
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 9 09:45:08 2025 +0000

    bumped changelog version

commit 9625636272c66dafa4cd2288d45ab5aa82c12882
Merge: 380de79 2292048
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 9 05:34:22 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/anondate-get-fix'

commit 380de7921064250361a085b063ab6d48e8be3bf8
Merge: 82ab134 ca7db8e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 9 05:33:29 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/emerg-shutdown'

commit 0cc4226a71b6fcfb68b72d55f16fac171f9a3e7d
Merge: ca5c93c 2292048
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Aug 8 12:20:48 2025 -0500

    Merge branch 'arraybolt3/anondate-get-fix' into arraybolt3/trixie

commit 22920489c4d261bb06d7a8462d00f9b74cf15656
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 7 21:10:44 2025 -0500

    Fix anondate-get so it actually uses anondate's output

commit ca5c93cb9aedbab169d8f968a4b85af438bb07b5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 5 23:41:33 2025 -0500

    Port to Trixie.

commit ca7db8e901cc9a805b5cfb07472ec5aa0ee5b6c4
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 5 23:41:08 2025 -0500

    Fix get-backing-devices-for-mountpoint bug causing it to fail in live mode

commit 82ab1346825af82f2b36bfb863a4c5fa65a88f66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 3 11:32:15 2025 +0000

    bumped changelog version

commit ef1db44e30d6b727a24691d9bd10238019da65a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 3 06:49:31 2025 -0400

    debugging

commit 8a7aec65a5bc624f406c52abd8d728b1a07c5827
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 3 06:07:42 2025 -0400

    output

commit 0892f5b1bffbf729580ec46ea7739bb858468090
Merge: 2aaf7c5 6422ad8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 3 05:42:38 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/emerg-shutdown'

commit 6422ad85185cf0e86f94e307e802051958bbb213
Merge: 0452d74 2aaf7c5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Jul 28 18:43:00 2025 -0500

    Merge branch 'master' into arraybolt3/emerg-shutdown

commit 2aaf7c5d05ddfc534ad4349e9b3b4f208f95ec8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 26 09:06:47 2025 +0000

    bumped changelog version

commit 2c914a82da69d94c0a1518ea420a19741d1708da
Merge: d91ebeb 85021de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 26 04:53:25 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/login-locked-absent'

commit 85021de1f07b824eb55422bc25cd35b57d550d7c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jul 25 19:45:43 2025 -0500

    get-password-status-list: Make it more obvious when an account has no password set

commit 210ade2b81eab6f0b73c988dd3bd3b3101fc6679
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jul 25 19:24:41 2025 -0500

    Don't lock the screen if the user's password would make this insecure or cause breakage

commit 0452d749e31c8ef41c7853dec681942c1db2bf0f
Merge: 75e0908 d91ebeb
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jul 20 14:12:57 2025 -0500

    Merge branch 'master' into arraybolt3/emerg-shutdown

commit d91ebeb87f427e4687a4ec368ab9f3a6539c935e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 19 09:46:38 2025 +0000

    bumped changelog version

commit 2914965dd1405ef74967834924afb71db514cfb7
Merge: 3c1642f 3153822
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 19 03:00:12 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/network-check'

commit 3153822ded8be0d9c8979c3ef6b5b7b536df3741
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jul 16 22:44:36 2025 -0500

    Add basic network access checker (taken from updatecheck)

commit 75e090832860d0cedcd05d11613ac7640e0da755
Merge: 27c9a09 3c1642f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jul 13 15:18:12 2025 -0500

    Merge branch 'master' into arraybolt3/emerg-shutdown

commit 3c1642f2c5cb3051736d486f1dd94719e5ed8afe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 11 12:07:12 2025 +0000

    bumped changelog version

commit 77dcd00c92a5f298bb63c84841b75beba754de1a
Merge: f89a29c 5ee81b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 11 08:05:32 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/root-login-check'

commit 5ee81b71daaadec67a08f3006052f7bb02d95e7e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jul 6 17:09:36 2025 -0500

    Typo fix

commit e4b400cc87a06ea6ffbf13deb4d2183d04df803d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jul 6 16:36:35 2025 -0500

    Add root user to list returned by get-user-list

commit f89a29c4257cdcd22a930cac030868512960baea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 6 16:16:29 2025 +0000

    bumped changelog version

commit fcfdfe9f8302dbbc7fbb72edf52c53d9bfa2b217
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 6 12:16:15 2025 -0400

    fix

commit aefe6b3a15886e82e31c961049a7309ff4818934
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 4 08:55:39 2025 +0000

    bumped changelog version

commit c4988db495bd7cb7008d58c0f174a2d974b76c6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 4 04:54:27 2025 -0400

    todo

commit 3d8a1926e0f32c7d61a8328cb337849fa0d7382e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 4 04:03:02 2025 -0400

    todo

commit 86a67f6d7ee97591add2af948350672d3e8a170c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 4 03:50:45 2025 -0400

    long options

commit 4d4cb24ed847eeeb0b078ef338e0aaa31b58011b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 4 03:39:03 2025 -0400

    local

commit 614a24e4c21e86ebba29e863deb0b62366e55f39
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 2 20:48:59 2025 +0000

    bumped changelog version

commit d6bc8658304cf204ed29580b6e514e18d2d2ed5d
Merge: a64f29f 33bf736
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 2 13:56:56 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sanitize-string'

commit 33bf73641bd679b2f8ca7ef92e0f452631964599
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jun 29 18:59:22 2025 -0500

    Remove obsolete sanitize_variable script

commit 4f42a88eb87edb1c1a353470492ca956be8fd150
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jun 29 18:04:20 2025 -0500

    Implement sanitize-string

commit a64f29f9a60affec934392f4de008756728d1188
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 29 17:42:48 2025 +0000

    bumped changelog version

commit 1a5f68618b06e5c32ca547a40c75c3716acd8a53
Merge: c0689fe 820431d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 29 13:24:53 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/strip-html'

commit 820431d68eceabd710984630d9e911a1e49a6e24
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jun 25 23:43:07 2025 -0500

    Fix HTML stripper

commit 0648531777616e3ccf136923da97791d1bba9c7c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jun 25 23:37:17 2025 -0500

    Port to helper-scripts strip-html

commit 77fe1d1bdde24bce8d21ce623cf411558bba40aa
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jun 25 23:06:36 2025 -0500

    Add HTML stripping utility

commit c0689fec06fa7ab10b411761f0abdb89f1365115
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 14 11:50:35 2025 +0000

    bumped changelog version

commit b52c14a3ffaeec82d85d413ebb1fec7abbcb95b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 13 15:30:58 2025 -0400

    lower debugging

commit 6615e9eed68ed24088b8ce3dc81ccd3749f80615
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 20:16:57 2025 +0000

    bumped changelog version

commit 4955333f0cd5748b0545a7f71a2d077b582393c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 16:15:41 2025 -0400

    unicode:
    
    avoid warning message:
    `grep: PCRE2 does not support \F, \L, \l, \N{name}, \U, or \u`
    
    by no longer using `--perl-regexp` for grep number three

commit 0b716e4216868c7baa40cf18ef7cc6f73fd9ac40
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 16:05:52 2025 -0400

    comment

commit 8af7d0ee2cdce2fd5d78e38a5672736b6fd132b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 19:14:35 2025 +0000

    bumped changelog version

commit 055ef5aec61fa5a47d0aff6f4c291f876a87a0f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 14:58:37 2025 -0400

    safe-rm

commit 7fb07fa8b609a556fff0666d8fc311afae72425c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 14:57:30 2025 -0400

    end-of-options

commit b7a8109b338b59515a273625544452b2829db96c
Merge: 5c7395a b17ff9d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 14:56:32 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/livecheck'

commit 5c7395ac378a4d65267e2d7c55335c2eadee7941
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 18:22:06 2025 +0000

    bumped changelog version

commit 53c570563fb68fff88a6245e622c02c497d75856
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 12:48:24 2025 -0400

    debugging

commit c094c49b9cc42e3e31093eae46676513edb8fd4c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 10 11:22:26 2025 +0000

    bumped changelog version

commit cd95cb0855bdd6ded129734b56632c61c74224ec
Merge: 0eb65e7 d2d6c75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 10 06:30:41 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/fix-stcatn'

commit 0eb65e70eaedb26fb1a47cc705b7135c98e5234a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 10 06:29:27 2025 -0400

    fix

commit b17ff9d1974e2d22fd26328938b4e15dd1fdaf75
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jun 8 17:32:18 2025 -0500

    Bring back read-only mode detection

commit d2d6c75ae2b22a7c27037ed4af175e1b0f7ffa1b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jun 8 10:44:48 2025 -0500

    Add unicode-testscript run to run-tests

commit 13d6ec843a72cb3b904dec1863a0b4e3d799fb5b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jun 8 10:39:11 2025 -0500

    Fix stcatn failing to trim whitespace from all but the last line of an input file

commit 47ef6530fcc2a2a0c69dd95c732637225b395dcf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 8 07:55:34 2025 -0400

    local

commit 08ea7fbce0baf576304754ac9e1267014a81f42f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jun 6 20:23:08 2025 -0500

    Improve get_writable_fs_lists.sh, add tests for get_writable_fs_lists.sh and live-mode.sh

commit 1a69dd98815af5db5d7f417b18b50425828cbddd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 6 20:52:25 2025 +0000

    bumped changelog version

commit 04dd30b9fff7d68ef13b78fc9f08090b9173fb9b
Merge: 4963ac8 58bc03d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 6 15:54:03 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/livecheck'

commit 4963ac8598166144b68174b8ef58b54d7053530b
Merge: f9bd0e4 d4c3045
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 5 06:22:15 2025 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit d4c3045a02846c2412be7b55c1c5c59cdd088bd6
Merge: f9bd0e4 6bc3b5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 5 06:03:42 2025 -0400

    Merge pull request #27 from ben-grande/st-test
    
    Handle closed standard input gracefully

commit 58bc03d48e4ccddf6b5c0df0d0565e1c13657e5f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jun 4 20:48:23 2025 -0500

    Refactor live_mode.sh to allow reducing logic duplication with livecheck

commit 836bb8ead95685f681224bdfc41c4a077834df27
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jun 3 23:38:40 2025 -0500

    Add better handling of removable media, NFS, and VM shared folders

commit 6bc3b5cab5d8ce5d4902df8ce93b49759dca8717
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Tue Jun 3 14:10:02 2025 +0200

    Handle closed standard input gracefully
    
    For: https://github.com/Kicksecure/helper-scripts/issues/26

commit e878cc6b1e1fbe3aebdd4a5163de3a7b9d56aa6b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jun 3 01:02:25 2025 -0500

    Rework live-mode.sh to provide more detailed info

commit f9bd0e4b7e1d20199420d9757af2f38ee63024c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 28 12:10:09 2025 +0000

    bumped changelog version

commit ce7c036bfb3724dbd4bfd1b402a78748189a23fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 28 07:57:21 2025 -0400

    fix

commit 89ac5ad417986f44e42207474fc108406b0c44bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 28 07:52:59 2025 -0400

    fix

commit cbe8d380774e72267b4d26b745b85fb3b47121f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 28 07:52:28 2025 -0400

    fix

commit 0d0dab3726b934a697b68d626648b1d41ffd4df3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 19:40:52 2025 +0000

    bumped changelog version

commit 64cbca7476e3de2f851f5e14c4f65250b48c6761
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 15:37:20 2025 -0400

    fix

commit 84a8cc6f9f5feb21225569aae2ea20821c5b98c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 15:51:22 2025 +0000

    bumped changelog version

commit d5739699742af00bf48413802a896613d328bb4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 11:38:45 2025 -0400

    fix

commit 506df612d54a5001a5bfc0175a3fdd5ad4c52967
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 11:38:10 2025 -0400

    fix

commit 631d824105f2661575be339fef5004db0a358367
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 11:26:34 2025 -0400

    fix: consider Debian 'trixie' still being 'testing'

commit 6228e0d479965b3fe39c68f0a16cf2e363691a41
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 11:17:01 2025 -0400

    output

commit 313c5b5b593c88a756caf703e334b1ecfd16d226
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 27 11:15:08 2025 -0400

    refactoring

commit b68a5b03a99d20462c55d2348aace5a6ce89d651
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 19:31:53 2025 +0000

    bumped changelog version

commit bef2f48eaba5c09e03fa5b04f805e053e0ff54a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 15:20:44 2025 -0400

    comment

commit 415367797e2d6fd985e91f4393ef02e705b915d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 15:19:29 2025 -0400

    protect against `printf`, `grep --quiet` broken pipe

commit 064b6f745aec6c33e0b815c6309f70e654720d5e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 15:18:01 2025 -0400

    refactoring

commit 8f64fb2aa63179ee375e094577b7c9879e16367a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 15:16:36 2025 -0400

    protect against `printf`, `grep --quiet` broken pipe

commit 9e9dc751861c86709beed5b55653edf85f4c2844
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 15:14:37 2025 -0400

    fix

commit 0f13f4ed1b12f0bcf60565e310fc5b26a9d7be66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 14:44:25 2025 -0400

    output

commit f550f73d9afb79dbe1fafd99b954c3bff72c4379
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 14:42:24 2025 -0400

    `/usr/libexec/helper-scripts/root_cmd.sh`: fix error message in case no privilege escalation tool can be found

commit 14561dd4267c58ed595f2982bdc011babc3f265e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 14:37:15 2025 -0400

    copyright

commit 5f1718ab429170b43dd47eae5c6647e16f3fbdec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 14:33:51 2025 -0400

    output

commit 8450c50db258c027f354977be187228b868333ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 25 14:15:14 2025 -0400

    output

commit d9e5d265840f40832e1c2f4af9de5ef32fa9d4b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 15:51:46 2025 +0000

    bumped changelog version

commit f5d0ebdd1874029e142e4377597af419580fb4eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 11:50:44 2025 -0400

    fix

commit 685831b8e733a8f3f1b12ec4c7f14504b8be7f1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 11:47:28 2025 -0400

    shellcheck

commit 2659d3c4fbb21419a62fd98223f9e1015519e003
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 11:23:10 2025 +0000

    bumped changelog version

commit 93152b9ab74e76719b8916bea3f75318f0261446
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 07:21:35 2025 -0400

    add `usr/libexec/helper-scripts/wc-test.sh`

commit f78bea57962a9a69285f480b850b7430f1930646
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 07:21:11 2025 -0400

    test that `wc` is functional
    
    https://github.com/Kicksecure/security-misc/pull/305#issuecomment-2892378246

commit 8c7fb9884398f638570d5c7afb92cd95cc446b37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 13 18:50:33 2025 +0000

    bumped changelog version

commit 483907e0902eada87c1d529568df1f2cd724d828
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 13 14:50:18 2025 -0400

    fix

commit 480c0a672bbc93ac77026d7f64f8f59a5f8fd821
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 13 15:28:22 2025 +0000

    bumped changelog version

commit 50bf9fbd435da1d49383bce3e908a233562104b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 13 11:27:28 2025 -0400

    add `dev-root`: development mode

commit dd20885031266562fb8c5e73bdba35c74b57a37d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 13 14:33:23 2025 +0000

    bumped changelog version

commit be407ed5daf5d6d5f784b719c43af3863295a267
Merge: 3335c00 5607d7b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 13 10:32:45 2025 -0400

    Merge remote-tracking branch 'ben/st-test'

commit 3335c004d3683d36cf89450c4274d31aaf02792c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 12:03:42 2025 +0000

    bumped changelog version

commit 50a6b0b0015cc0895261367fadb50ea072e8a65d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 07:16:14 2025 -0400

    add `usr/libexec/helper-scripts/sudo-tools-enable`

commit 5b30da2f6fa144584ede4721a6e14a3bee4b0732
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 09:56:04 2025 +0000

    bumped changelog version

commit 78645c0b090578d2f649ff9fd879df1be6c6d3a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 05:33:03 2025 -0400

    fix

commit bb38d359e75b4d6eec38ed96e0a07d27c496e159
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 04:34:23 2025 -0400

    debugging

commit 0d0d7261ee9d816b123476b82d5afd316b28ebb4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 04:34:08 2025 -0400

    comment

commit 53af311fc515b7c989bf082e6e81c46c8e3858c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 08:09:06 2025 +0000

    bumped changelog version

commit 00ad2b24cb0159b02925c7a318fa3329cfafb424
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon May 12 03:39:12 2025 -0400

    add live-status-detected

commit 0503e736f76362a2fc538d82278629d09e6eee3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 15:56:29 2025 +0000

    bumped changelog version

commit a46ee4d8e11b342f9af17e3a573367f6471b2e5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 11:44:37 2025 -0400

    fix

commit b77f6a1c34c5b9684c23fe533aed4315429351be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 15:18:18 2025 +0000

    bumped changelog version

commit 5367f54a441f0232ec41269c3fd87bdc8e212fc5
Merge: 2879460 2fa5e6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 11:14:17 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/live-mode'

commit 2879460dea9f386c17f66b13620413a63fa09737
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 14:39:23 2025 +0000

    bumped changelog version

commit 5607d7ba97ca3a9e3fdf876511edddddb5624ee9
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Sun May 11 10:56:40 2025 +0200

    Fix typos and cleaner code

commit 707f2a9d926cb78b1844cb7aeb273ac56de512a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 10 13:54:13 2025 -0400

    fix

commit 4857c28e1582f4d7796bf000c81bec3d8d364e1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 10 13:51:34 2025 -0400

    `append`(`-once`) / `overwrite`: self-identify program name in output

commit 1f0acc137b931d550207c99db1b5c852735192ee
Merge: 751bab6 acf3adf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 10 13:47:30 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/append-perms'

commit 27c9a096f6c05c2183c5d0e40b16924032c0cc40
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri May 9 18:48:01 2025 -0500

    Add script for finding the device providing a mountpoint, for emergency shutdown feature

commit acf3adf38ac502324b09cd8e0b6a343be3cac7f3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri May 9 14:48:50 2025 -0500

    Fix permissions on files created or modified by append-shared

commit 751bab69fbd59028ffdab1a9ebafdfec076cf093
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 16:36:19 2025 +0000

    bumped changelog version

commit 84ecb855811487dd7006d077b59ff4731bc8d4b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 12:25:43 2025 -0400

    printf

commit 5a4e661ec5caec8d62c32b31489200b6e363af48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 12:24:47 2025 -0400

    refactoring

commit ee13c48ae0c47890e7f18cd828af15a816bc4eef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 12:23:20 2025 -0400

    quotes

commit cc6c1c285c6c9f64a806b1f3832a977d49adb746
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 06:39:05 2025 +0000

    bumped changelog version

commit 89096f91b911b320b98a696bb5dca279eceb1e45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 02:34:06 2025 -0400

    python -su

commit 93c899dcbb9346df7c92e3271ef796283153cb70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 05:02:17 2025 +0000

    bumped changelog version

commit 948a08d9497ed147f166c8f2da892a3c73d105b2
Merge: cce49c0 e2b8ca0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 00:31:41 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/curl-prgrs'

commit 11a7d0e8006afec6abde3448ead288f7c31c6550
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Mon May 5 17:04:32 2025 +0200

    Add unicode trojan test

commit ab5e5e45257100521f520ac6d5b7710ff883b728
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Mon May 5 13:01:59 2025 +0200

    Test every safe terminal tool
    
    - Check output when no argument is provided;
    - Check if stdin is ignored by default;
    - Check if stdin is ignored if file is provided;
    - Check how many arguments a utility accepts;
    - Check how word splitting works on multiple arguments;
    - Check if newline is present; and
    - How it treats the argument '-'.

commit 2fa5e6a72f148da1b3476615c26e7839dea0c4de
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun May 4 22:54:18 2025 -0500

    Make live-mode.sh more robust and able to detect a semi-persistent state

commit 748a3bedef7cf12df5dc6bdea154d165e8bb499d
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Sun May 4 16:27:58 2025 +0200

    Add base test class

commit d00ecab2c21d81e63145b6407b888544a8b683d4
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Sun May 4 15:26:25 2025 +0200

    Test reading from files

commit bc92fabb8bb657e52c5daf41ab7002a5612538f8
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Sun May 4 01:36:00 2025 +0200

    Add tests

commit e2b8ca090b8f84ab0613983bea7d6cbc9a2d8a4f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 30 17:43:37 2025 -0500

    curl-prgrs improvements

commit cce49c033511b877479322ef7f6745a193334402
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 08:16:51 2025 +0000

    bumped changelog version

commit b58d412f3d61e8ac831a3649d71784425f1b1f05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 03:48:37 2025 -0400

    output

commit bd7560a59f6e2cf179d7a6c49ce21b4c74e26473
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 08:18:28 2025 +0000

    bumped changelog version

commit d0cdbe372b41e2d9f6aea90f42196e063cd62258
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 01:06:59 2025 -0400

    fix

commit 3346e713d159ccef2ca135b6c2136cdf5355c6df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 01:06:40 2025 -0400

    cleanup

commit af3943f2efbeafa52f3ee86384094a019b84c157
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 01:06:21 2025 -0400

    end-of-options

commit 0e6ed7e0788d8158ebdd58acc3502dffc338c143
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 01:05:46 2025 -0400

    add `/usr/libexec/helper-scripts/use_pkexec.sh`

commit c3b5cf6ef4cd8e957c9a51fff6e4b950d6085180
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 06:15:28 2025 +0000

    bumped changelog version

commit 6d833d3ed9950eb11dfd482dc0eeebf9ddbd2629
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 01:39:39 2025 -0400

    local

commit 101e001e7b5c73cbffc1da35f152ff27b0dd73fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 01:31:11 2025 -0400

    fix

commit 145cfb2cfef66c48c2adf368abed71318f47e9ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 01:22:39 2025 -0400

    fix

commit 38ad1008f53d53cf3ab38245f92983746fe637d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 00:17:15 2025 -0400

    fix

commit 48324c2e02d37e9d2b7d614f913ba8d288e2c626
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 00:16:13 2025 -0400

    local

commit b3da4117261a67d262708cd6688c81650ccbafb7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 00:14:18 2025 -0400

    fix

commit bfd68038a11a113832c683b1a4e403914e58c083
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 00:11:25 2025 -0400

    fix

commit c560be5ae13187f82d81ca776e3b02a0c9bfa203
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 03:08:55 2025 +0000

    bumped changelog version

commit db01f44db16aa4bf1068208a142c58dc4419f18e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 23 22:50:48 2025 -0400

    provide `leaprun_useable_result`

commit 37a9ef2e84e352e37b7e84bd8ed36e5d31218778
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 17:32:23 2025 +0000

    bumped changelog version

commit 3d65b889a40a4b70d3f04547291dab0c6d27afc3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 13:23:37 2025 -0400

    fix

commit 254931f22fce306dd8d5e13140ba8caaa5cd3477
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 13:17:03 2025 -0400

    refactoring

commit d937c988b166293081f5b803b7c02e430ade9542
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 13:13:29 2025 -0400

    refactoring

commit 358a90260b3f74051d45a07aca14f6cac1e03951
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 12:54:51 2025 -0400

    refactoring

commit b34e226d125f1fb1bbd4bfdc55a44766ba917496
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 12:51:15 2025 -0400

    cleanup

commit ca1c4f15e1fcf8e293edb4aa6c3b02c74ad3bc00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 19 12:47:09 2025 -0400

    update path

commit 5575e7973ae311d9b1edfe1986aec7471573d7b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:23:01 2025 -0400

    improve unit test

commit 862dba1b931f5f4cdd3b73803a47da6b431aac36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 18 18:08:52 2025 -0400

    prevent unit test running as root

commit c40cf46e3852b195701738dbda3e09ee71778703
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 16:25:58 2025 -0400

    fix

commit 61d960372ba459bc3cf986c3306f75ee795a7408
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 14:47:13 2025 +0000

    bumped changelog version

commit 80555d504dedc13c86e83be2205ba3b6d85784ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 10:30:52 2025 -0400

    printf

commit ece40a73d4669bd092093368458d720228888d62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 10:30:00 2025 -0400

    quotes

commit 0206cf424e7eb5e9d1a456649abe6e9c05a4253d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 11:40:03 2025 +0000

    bumped changelog version

commit 5c15d2fd85980ad716bf2ec7bf0952b3645879e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 07:39:01 2025 -0400

    quotes

commit 7df800e2a3e89d295ff0e15e3d6b6bb49e741a7e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 07:38:03 2025 -0400

    fix

commit 7534ee5874277fdebce8d91bebee7e0b02c8acdc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 00:22:23 2025 +0000

    bumped changelog version

commit b1cbf33fecb619f6a479cc1a527b55856c841994
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 20:19:35 2025 -0400

    fix

commit 31a6e2fd32ce75acb8d6b0d2148aca9abe40c963
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 20:13:49 2025 -0400

    fix

commit 5dead206cb6e97ca981d394efc9571c30ef19ae7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 20:11:24 2025 -0400

    improvements

commit 95f386a401317e98c5351e5dc483d6e972a9cecf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 19:23:25 2025 -0400

    errtrace

commit fe4e709491e656836fd0600bfb3639458051bafd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 19:21:44 2025 -0400

    fix

commit 6b59c030d519ebc1d5e02fc59ad8a6642bd70894
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 19:18:45 2025 -0400

    end-of-options; safe-rm

commit 86fd33c7102094f159b7a5e39739ab87fdb2f8cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 23:06:51 2025 +0000

    bumped changelog version

commit 0de61efe16882ff08b5bb3c4260599e4df5837c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 19:06:36 2025 -0400

    lint

commit 0699c2179f59155cc3acefd8ab491e41aa2ac602
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 22:51:32 2025 +0000

    bumped changelog version

commit 4763e5f09820e74598144e611e6d2d35647db65d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 18:51:12 2025 -0400

    lintian

commit 834007ebd8d778ce54d7c67655cfa60bb6ab294f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 22:47:14 2025 +0000

    bumped changelog version

commit b37d4dc796a53c6d12f22e371c539a0dd1444ef8
Merge: 5be4f5a 370bd93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 17:41:55 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/master'

commit 5be4f5ac6d25eda633616027b1bdb5eb52d32431
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 17:40:38 2025 -0400

    fix; code simplification

commit bfd85383085c9a193f5afdee2972a6ecd92c7e01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 16:09:24 2025 -0400

    output

commit 355c973630d779e77cbe37323bfffb98b1a668bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 15:21:02 2025 -0400

    chmod +x

commit ea979fee069d756a1b525ebced88f0031b1853fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 15:20:19 2025 -0400

    chmod +x

commit 6fbf2e6bbdf7a2ea6c5893b16bc34f92bee8c5fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 15:17:52 2025 -0400

    chmod +x

commit b9f4ad3de0f2ca43ff5d70e94a19be3bc124b05c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 13:45:27 2025 -0400

    genmkfile manpages

commit 8bc16dbc4d735999d641177aecf87f52830896cf
Merge: 815363c 08eb6b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 12:31:45 2025 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 08eb6b2acc039e6d43725e8b217c9ed97bc66432
Merge: 815363c 0f0fc67
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 12:29:38 2025 -0400

    Merge pull request #23 from ben-grande/stcatn
    
    Deprecated stcatv and add stcatn

commit 0f0fc67b554d426a41df2ceb5b8c7c1daccf579b
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Wed Apr 16 13:21:04 2025 +0200

    Deprecated stcatv and add stcatn
    
    Deprecate stcatv:
    
    - The 'M-' and '^' notation were not covering all unicode codepoints,
      issue is present in cat from coreutils also.
    
    Add stcatn:
    
    - Printing data without ending with a newline can lead to problems on
      the terminal and also how the file is read by another problem later.
      Add a newline at the end of each file that does not have one.
    - Trailing whitespace is trimmed from each line.
    
    Fixes: https://github.com/Kicksecure/helper-scripts/issues/22
    Fixes: https://github.com/Kicksecure/helper-scripts/issues/21
    Fixes: https://github.com/Kicksecure/helper-scripts/issues/20

commit 370bd938dd54f9a53f95913ac174189d6cf57a03
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Apr 15 23:50:44 2025 -0500

    Fix broken symlink conversion for append-once and overwrite

commit dc20f4921bffd6960d1ccc5c6c34131a9b632081
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Apr 15 20:48:38 2025 -0500

    Fix copyright headers for pwchange utilities

commit 815363c816cc04954149a9e915c25ae2cfe8ec12
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 21:17:54 2025 +0000

    bumped changelog version

commit ca7c42158571987fe33415d8c3eee0996b33b350
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 17:14:40 2025 -0400

    output

commit 8f2f714a953a903056f0fdc0f9c6763c9d176b6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 20:58:51 2025 +0000

    bumped changelog version

commit e9f42063f4386deac46dc8ed1fa41fac6fcf6dc4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 16:32:35 2025 -0400

    avoid git style symlinks

commit 8ee40cc7cdbc3b7b6c7b71d860c26b6cd4283863
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 15:57:51 2025 -0400

    fix

commit c4e8c26e85662097683cf7d310d0ad199235dc6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 15:57:27 2025 -0400

    Revert "fix"
    
    This reverts commit 9c179a48d755f4b01dd909af052143ee3a40ac21.

commit 9c179a48d755f4b01dd909af052143ee3a40ac21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 15:36:21 2025 -0400

    fix

commit 29181182913cebb881cb2ef20bee4ad7c0a38a34
Merge: a421b92 f13a236
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 15 15:30:31 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/pwchange'

commit a421b92512d1cd711309301cfd9378b378f8fb87
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 14 01:00:07 2025 +0000

    bumped changelog version

commit 8b4886fcc4b4fa8edb00109c191831e25b7e98d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 20:23:37 2025 -0400

    style

commit 46012b1781c06d5321a722cbea3de99a7bef4989
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 20:17:09 2025 -0400

    output

commit 8c0124e3913ae2dc9c4701f06a13e0dbc04c0164
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 20:14:30 2025 -0400

    output

commit b8b959b3f99652afd0fa689fbbc97b4c487087f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 20:07:03 2025 -0400

    output

commit 7ac6e3ebbe1cd694728ebf311506886aceda953d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 20:06:13 2025 -0400

    output

commit 7c0c47b88e06a1ffaf6955dfef3918da4d17c911
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 19:59:58 2025 -0400

    cleanup

commit 3915ce1fcab47f13ead4c6039a33cea1280a6579
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 19:55:17 2025 -0400

    fix

commit 4a58eac219e3b90ed04100dcb1671878cde033ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 19:39:35 2025 -0400

    comment

commit 9f731978c2d8901e73bc22c88c6ea082d8cc2a7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 19:37:39 2025 -0400

    comment

commit f09e6d337f660b3c3e1000738637ee62133504ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 19:36:21 2025 -0400

    comment

commit e95bcfabd3006c5c2ba297f0306033cc3c594fbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 19:18:56 2025 -0400

    Purposeful redundancy for extra safety in character display.

commit 612603536ea7a338e76a9da37c9afa56cbdc1302
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 13:51:41 2025 -0400

    unicode-show: point of if there is a missing newline at the end of the file

commit 8d6fac8e1db19f2955eebc547deaafe272fe3d60
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 17:23:41 2025 +0000

    bumped changelog version

commit bb33ed5c64acdf8fe1a8a27d6c4dc22ecccb91f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 13 13:23:40 2025 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 529bbb2efa879d4a38541a483792ec1e7d1671e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:53:35 2025 -0400

    relax stcatv test

commit 35dcd3aabf4b18be078f25e6e8fd2c4b645325e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:44:31 2025 -0400

    minor

commit 52818df9e06294fe9ed5cb958e173597201b8035
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:36:55 2025 -0400

    improve unicode test script

commit 98485b433b667892843e080dbd77c5de7b931182
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:23:07 2025 -0400

    comment

commit a305659ecc28e722e575ef6b723d369c851d401d
Merge: a78be7c b5bfc75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:21:56 2025 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit b5bfc750a699cb33358c303223a0bced99a9d85d
Merge: a78be7c 3d900bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:21:01 2025 -0400

    Merge pull request #19 from ben-grande/stdisplay
    
    Add stcatv

commit a78be7c1b136add74e324c1ba77bb80fe7fa43a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 11 20:16:02 2025 -0400

    improved `grep-find-unicode-wrapper` to find more ASCII control characters
    created test script `/usr/libexec/helper-scripts/write-suspicious-ascii`

commit 3d900bf228f7a4774a25ed80993b8c080d0de750
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Fri Apr 11 21:22:39 2025 +0200

    Add stcatv
    
    Fixes: https://github.com/Kicksecure/helper-scripts/issues/17

commit f13a236a6c22c064499329a7b51c9e1dd7a36b65
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Apr 11 13:56:20 2025 -0500

    Reduce pwchange code duplication, polish pwchange, implement crypt-pwchange

commit 14343ac921cdf2c6819d326ec08d3aedfa86c72a
Merge: 9f2cc5a 965a77a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Apr 11 10:10:47 2025 -0500

    Merge branch 'master' into arraybolt3/file-utils

commit 9f2cc5ab2c98fef0fe181c7948b5867453ef42a3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Apr 10 14:51:15 2025 -0500

    Implement append and overwrite executables

commit 965a77a7018906b133a2d7a19656aa3ee20c4028
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 11:37:26 2025 +0000

    bumped changelog version

commit be30b7e66f91c41acd3aaf7d98779a59c99bed80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 07:35:34 2025 -0400

    improvements

commit 8e3524067f80bd28f88ca17c8f9ff866a3f0d2e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 07:32:43 2025 -0400

    improvements

commit 566d7d5e8b486411e74b978bb61331a54d6d6257
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 07:27:41 2025 -0400

    improvements

commit 6570a37423f398d499987d0364640e276283d96c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 07:20:11 2025 -0400

    implement `grub-password-status-check` and `grub-pwchange`

commit 1f1c958b70591e27c6fa21f0318d228ac1198693
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Apr 10 00:18:09 2025 -0500

    Rewrite append-once in Python, with enhanced error and edge case handling

commit 8705fed077647e8d09fdfa9effc5e529d8bd57f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 9 15:15:10 2025 +0000

    bumped changelog version

commit c3564ee15b3f590ea5bc32093311ff3f12338101
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 9 11:00:08 2025 -0400

    comment

commit 485dbd91bae17ab4a812cd0ed4ff021a4b42b933
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 14:07:15 2025 +0000

    bumped changelog version

commit 829410d963ca91cccddcb6dfe86af2c8f6aca662
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 07:52:22 2025 -0400

    genmkfile manpages

commit 51a12031ee8bf713c7c29ec49b000aeff8a05ffe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 07:52:00 2025 -0400

    add unicode-show man page

commit 39d612fab1e50da0dc0ed4372c64f0e35f0c4b54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 07:10:07 2025 -0400

    remove trailing spaces

commit 7848a8c852ce53846615df6fcfafa1ce2d74a1a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 07:04:20 2025 -0400

    genmkfile manpages

commit 05ca327281267f64fbeb945e5fc84384ba5a4fa1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 07:03:39 2025 -0400

    man

commit b99a1ce2dc08eabb68ad047786c9fbe0ec9965b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 07:00:10 2025 -0400

    man

commit d0de2d58c3b5a13be0ecbd844dbe4a0c402c95ce
Merge: 8316d4a f0fc4bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 06:57:22 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/unicode-show-enhance'

commit f0fc4bfa0e91638ddd68209734021c03a544a09d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Apr 6 18:43:31 2025 -0500

    unicode-show: enhance efficiency, show trailing whitespace

commit 345d20955b121f2a2249e53c3319dbf118e0f805
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Apr 5 23:27:01 2025 -0500

    Minor fixes to debian/control and stdisplay manpage

commit 8316d4a24a54dd0d33337b70a3f489539376868d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 2 18:15:30 2025 +0000

    bumped changelog version

commit c6232991cada4577f4bfae1cbfe60203be74883e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 2 14:03:45 2025 -0400

    improve unicode detection tooling
    
    * added `unicode-show`
    * improved `grep-find-unicode-wrapper`
    * added `/usr/libexec/helper-scripts/write-suspicious-unicode`
    
    https://forums.whonix.org/t/detecting-malicious-unicode-in-source-code-and-pull-requests/13754

commit 6d350e3bd7bfa5b0650d4fdd550ed9e3c645999b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 14:18:18 2025 +0000

    bumped changelog version

commit 7588d6839487b610baa03ed49d8ad4e470e323e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 10:16:27 2025 -0400

    dev-adrelanos

commit 6d6d857bda183402a019bf3f1ec36690a825c2a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 10:16:18 2025 -0400

    apparmor

commit df7a15ba487f3563ccfb41e7ccfa446054585200
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 13:43:46 2025 +0000

    bumped changelog version

commit 21bee937786d624a73b5e9e79b7e8b0cc7d2ce32
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 09:43:24 2025 -0400

    dev-adrelanos

commit 828d6203a0db01c433aecd2ce1045a00ee629c80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 09:42:23 2025 -0400

    dev-adrelanos

commit c36b30898f0ec8e7acaa86ad6a2eb03ab8c0ff84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 11:54:39 2025 +0000

    bumped changelog version

commit 241980cac46f2c802bb3f5abde9d0600f2ce24e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 31 07:41:34 2025 -0400

    output

commit 3208b3c447f67575ead51177513f3a005b118838
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 29 10:45:55 2025 +0000

    bumped changelog version

commit 266dc12d46a476f5749fcb584122139bf21f03c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 29 03:40:01 2025 -0400

    comment

commit 0e3ad9217787ed242e63a0d903fae050257ffe21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 29 03:35:33 2025 -0400

    use log function in terminal wrapper to show exit code status

commit 0dcc0bc19821d1d8290fcb20e08a52f5d56528bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 29 03:30:57 2025 -0400

    notify about exit code in terminal-wrapper

commit d523a0368d82f3fee1e36053d04034a8f1937950
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 29 03:27:13 2025 -0400

    minor

commit 619a7832aca4a8cf0c7c1adf13fbecd09b16e9c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 17:22:04 2025 +0000

    bumped changelog version

commit a1691c4fff74144282903b0c1c62d16dad71f4ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 12:58:20 2025 -0400

    apparmor

commit 1b941ef6b80ee43a6ddf9ec13f0d14953633eef5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 14:44:26 2025 +0000

    bumped changelog version

commit 093c14592d4ee8103fdba3a6e59cdb7e945694f3
Merge: 686a462 adaecfa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 09:09:07 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/master'

commit adaecfafcb6abae0bafb6f2d31436a661875bdfd
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 27 16:35:13 2025 -0500

    Don't warn about a missing password if a user cancels disabling autologin

commit 686a462c0b2542fa143825fd6a3d48ee4e20f2c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 12:37:55 2025 +0000

    bumped changelog version

commit 0ea7a5ec625f86eb4401446d7d1781091006d37a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 08:37:54 2025 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit af8f9099f2661983fdaf95dbf9ad4a7f800aaf51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 07:42:07 2025 -0400

    add fallback in case stecho is unavailable

commit 3db83c70b07a8cfb5ee38747cf945ead13b765b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 07:28:42 2025 -0400

    lintian

commit beda2097bcb1a17da69f22f552aebcf663133726
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 07:23:36 2025 -0400

    sanitize_variable: use stecho

commit 5388d952a5c4ab5aa8543fc748cbd616080002dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 07:15:22 2025 -0400

    improve sanitize_variable

commit 3273557c1241678e10ed50e8646271337ff7871a
Merge: 238249e 5e5a860
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 06:39:24 2025 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 5e5a860388b5581cf97903e0ff9aea248083ae75
Merge: 238249e 6756278
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 06:35:32 2025 -0400

    Merge pull request #14 from ben-grande/stprint
    
    Add safe terminal printing program

commit 238249e9abe32c0c66be39e5106f3e28c531feb5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 06:04:43 2025 -0400

    minor

commit 9de54a2146e2315f08f483b8c9b9b63779dbf960
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 06:03:01 2025 -0400

    code simplification

commit aac4e9b9e479f700b02de6eac08041b552234672
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 06:02:14 2025 -0400

    quotes

commit 18e7f930430502f430ad9cd7d169727879933e19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 05:59:03 2025 -0400

    minor

commit adcc1b3ffe6fa79f7671b5934229d0bda03f2c5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 08:41:35 2025 +0000

    bumped changelog version

commit c9e57530242520b5e46c67ea0fdc7ffaaba66419
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 03:37:03 2025 -0400

    fix: disable autologincheck in pwchange for Qubes since not applicable to Qubes

commit 86146490a23742c8f94c7597e4a2a5534dc7e594
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 03:35:33 2025 -0400

    comment

commit e59e52eaf2896a46928e065ce4596b05855bd6be
Merge: 5f2f269 a3468cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 03:27:31 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/screenlock'

commit a3468cd049fa4bd074cde4279d9c1f2829245f92
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 26 23:43:09 2025 -0500

    Add screen lock script

commit 7f27aa085c17e8fdb790bf50013183d8a883c231
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 26 21:31:12 2025 -0500

    Warn users when hardening account password or login may not be sufficient

commit 99bcb0df5f1a65d2e6ebecd7f6a785d90a8c2c40
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 26 15:24:44 2025 -0500

    Don't display every argument to terminal-helper on its own line

commit 5f2f2692a0738bca6924911855959037bd191cfa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 26 09:15:38 2025 +0000

    bumped changelog version

commit b7407c6ddbd9caea0e69383096a8f503156bd1fc
Merge: 5d37892 5c9ab21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 26 04:45:42 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologinchange-output'

commit 5c9ab21459ca358ede28bc524c1a77338dfe50af
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 25 20:40:44 2025 -0500

    Improve autologinchange output, convert potentially unsafe echos to printf

commit 5d37892bccc56c920a6a0547530f7d430f3932bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 25 13:32:25 2025 +0000

    bumped changelog version

commit 9d0ad8e725f1433ad45e627dab391cd66a693b7d
Merge: 5df9da3 8fee416
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 25 09:01:17 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/qubes-sysmaint'

commit 6756278f47d677770156fb03da44a1a3b3c60533
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Mon Mar 24 15:33:04 2025 +0100

    Fix shell utilities usage and documentation

commit 5df9da3b84792f716d21fce3ebaf14cfeaddc66b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 21 19:06:50 2025 +0000

    bumped changelog version

commit c45f3a1711a61d7bf102128264010d95fae2879b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 21 13:34:50 2025 -0400

    add `/usr/libexec/helper-scripts/temp.sh`

commit 960f5a3e93ebcc5e1e82d217347cd874b2af1692
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Fri Mar 21 13:52:55 2025 +0100

    Regex substitution and shell utilities

commit 8fee41672d58e64d03130facdacf233312d479f1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 20 21:38:25 2025 -0500

    Don't allow using autologinchange on Qubes OS

commit aeaf9055e65f8e640790d13538fa51ebfd4a4822
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 19 11:30:02 2025 +0000

    bumped changelog version

commit ebf1e9a6ffb85fd19c9520c142a5690249b40bb3
Merge: 5a77230 695b4d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 19 07:29:45 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit 695b4d062ee49d933968d21bbd5f1d2cf72f132a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 18 17:57:43 2025 -0500

    Don't try to create display manager config dirs in autologinchange unless run as root

commit 5a7723079e30bd1751ac0fee78ec4d78dbac5a21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 11:04:13 2025 +0000

    bumped changelog version

commit 1283e0bb08af47ffc3c8c3b83003c242ce1280e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 07:03:44 2025 -0400

    migration

commit ab06ef670381a9d297f6da175b9a49c9f92dd75b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 10:58:40 2025 +0000

    bumped changelog version

commit 30effe8190447955f05250b2235fe01412ee1874
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 06:58:27 2025 -0400

    rename

commit ff8d46c33ab378bb92df2e500893958a62532831
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 10:56:18 2025 +0000

    bumped changelog version

commit 40c002a1f6f89f811b5993d06e8c53b8c70219ea
Merge: a0f01e8 c70e898
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 06:43:43 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit a0f01e885747df1f2ae8ce243485b8f569963610
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 18 06:22:33 2025 -0400

    output

commit c70e898c61ab3c312bdbc4c6a92a225871a29bac
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Mar 17 23:40:29 2025 -0500

    Clarify autologinchange functionality

commit 8b81fd7115d0dfd412f2bc3d5f223e57a5f5ec6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 09:36:57 2025 +0000

    bumped changelog version

commit b5698fcfe55ebefacdff737449bf4f06ff89f976
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 04:59:17 2025 -0400

    fix for real: avoid expected error message in case a Tor consensus has not been downloaded yet:
    
    > ERROR: Variable 'vstart' is empty or contains only whitespace/newlines.
    
    Thanks to @marmarek for the bug report!
    
    https://forums.whonix.org/t/systemcheck-fails-for-unclear-reason/21424/14

commit c1312072ef1c17808232ba0e74cd2fccf9e64697
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 08:52:58 2025 +0000

    bumped changelog version

commit bf23829dee357ca197b391707388cccb56ef762b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 04:13:01 2025 -0400

    add `/usr/libexec/helper-scripts/live-mode.sh`

commit a3a2cda64eea80f1cdc9d1f435017028ebd69886
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 03:30:27 2025 -0400

    printf

commit 216e54f949612070452bacf2b76f173f6fde940c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 03:26:10 2025 -0400

    `append-once` fix: ignore output by `str_match`
    
    (could notify about found versus not found and thereby add unwanted console output)

commit 37424a0cc73857fb3248ceba9264b182eef28d9f
Merge: e4b0aab 11b7c89
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 02:55:29 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit 11b7c89c3b6c98bdbfeaa5802294e7ff4f3a71dc
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Mar 16 13:42:09 2025 -0500

    Bugfixes, enhance/fix argument parsing, fix -c option behavior and add -r option for handling sysmaint autologin

commit e4b0aabd8170a020c0da54ab154343dc646a2e4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 10:37:32 2025 +0000

    bumped changelog version

commit 588ec435cf7bfc3d4aa105ef6091e850ebedef43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 06:36:46 2025 -0400

    quotes

commit 9470c77250a560ce5c8ebec808f20d1de12de80c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 03:56:20 2025 +0000

    bumped changelog version

commit e3704e97d7b3b37c6537ddae5654457ef3bbccb8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:54:57 2025 -0400

    improvements

commit f888356a4574ceadffcfdf36528afcb0d829b700
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:51:21 2025 -0400

    improvements

commit 501409fa84516b007138f4f151d31dee98d6652b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:35:38 2025 -0400

    local

commit 5666af0e940b14e7d20b61187d554503c45b9e27
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:33:33 2025 -0400

    improve error handling

commit bdc47009591f8e909bcdf7b3892202cd82eba372
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:31:58 2025 -0400

    nounset

commit bd5395bdd416bc1257d3db2db9adaeddb8140c5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:29:40 2025 -0400

    todo

commit a4a55c12c808f6a85677f1f533ab47dd2e876b57
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:28:14 2025 -0400

    todo

commit 298b5fb682e59bc5f8a2d749f5817a51ca002fd5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:21:36 2025 -0400

    improvements

commit c09410dd7c174d9222be1ac898360cbb2d1879f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:19:20 2025 -0400

    improvements

commit bee456f7e9001e919a2e9ee62d6c4e39c5e2f8d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 23:00:23 2025 -0400

    minor

commit 3bda1e37af1f4ee9e3bd00fcafc77a8a5932c339
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 22:59:59 2025 -0400

    end of options

commit 4a5613ede372e14611735ba0b2e42d44bb530bd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 22:57:49 2025 -0400

    improve error handling

commit 6e11d6be85f9c548757ce632fc56d7633945c79b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 22:11:52 2025 -0400

    improvements

commit abcceb6821b5272c25577bc8c278df2e3012045c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:59:20 2025 -0400

    output

commit 5ded33d21cfeee94e4c3eb976c42f3d4d0a9dfb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 01:39:36 2025 +0000

    bumped changelog version

commit 325f35753b51c2e1e6c63067398e3fbedaa6ed77
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:39:00 2025 -0400

    end of options

commit a5eeec063a4e39942a36cd93f733a203a0ee5acd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:38:30 2025 -0400

    renamed: usr/sbin/pwchange -> usr/sbin/pwchange_

commit 5ce7643849a9f99fa5ade9fbd9825dc034a1126b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:24:59 2025 -0400

    output

commit 3f7943e9c89ba95cb7877efee345905edac0a740
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:22:34 2025 -0400

    todo

commit 3f5743525fec6a58e8269a4356a245e71ec54ba0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:14:15 2025 -0400

    fix

commit 2598d5679e86bda39cccb09cd1ad58a66b0e518e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:11:43 2025 -0400

    refactoring

commit 44ba40a1fb58fe0ae3351f7a25e465fd74055121
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 21:10:29 2025 -0400

    typo

commit d1c4d1b0d79e12459fbfa1a699791699261cbab4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 10:51:08 2025 +0000

    bumped changelog version

commit 24ce232d162a4d774ecef43b9da6016f5387335e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 06:15:14 2025 -0400

    sponge

commit 131c051c8575a292f0db5d7cbdd1219118c92012
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 06:14:23 2025 -0400

    end-of-options

commit a04791c111b22ef9b46cf6b5405c2df1d45b0073
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 06:13:55 2025 -0400

    output

commit 122bd38798a1ea9f0bd2afc12c55075e3a754890
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 06:11:35 2025 -0400

    end-of-options

commit d3cd3483afa131e3d49b40229e13e5954d92b5f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 06:03:15 2025 -0400

    improved error handling

commit 93d18df6616f54535750744c354576b3c5c5919b
Merge: 903fb04 0927ac0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:58:25 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit 903fb04e6da5c39408f82d4373d5227f4ab384db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:53:24 2025 -0400

    output

commit c3ddecfd60208940e1c24f68ba40e6362e5c97e9
Merge: a1c452f ee730a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:50:11 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/user-create'

commit c7a4ab85afd4400fa01029b56e6e0b6f1c0404b0
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Fri Mar 14 12:30:48 2025 +0100

    Improve test coverage

commit a1c452f54ba890b0475404d7388ee8902dacd00c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 14 08:28:37 2025 +0000

    bumped changelog version

commit f380eb8028f8a94ceee0295977e7c557d8a4e775
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 14 04:23:27 2025 -0400

    avoid expected error message in case a Tor consensus has not been downloaded yet:
    
    > ERROR: Variable 'vstart' is empty or contains only whitespace/newlines.
    
    Thanks to @marmarek for the bug report!
    
    https://forums.whonix.org/t/systemcheck-fails-for-unclear-reason/21424/14

commit c1a8d64983a0a67fdd0f4d8c3eb49dcd332dd31c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 14 03:59:13 2025 -0400

    refactoring

commit ea738cb28a1e2c24ef12708eeac9dbba1b0b4049
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 12:33:43 2025 +0000

    bumped changelog version

commit b88cca5a8abf8df527f433c370aa62a5d4f681d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 06:54:35 2025 -0400

    check additional conditions to disable colors in unsupported terminals

commit 60e62e40b6c79bbfb258746bda77d0d6ac44db0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 06:51:05 2025 -0400

    pick from https://github.com/Kicksecure/helper-scripts/pull/14

commit 0927ac0a56e1da17b49fa9e01b2958b24acb745a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 12 19:04:33 2025 -0500

    Add CLI user interface to autologinchange, fix /etc/user-sysmaint-split.conf.d handling, refactor

commit acf77126e0bfe3ab073f86027e31db4582e57f79
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 11 22:43:26 2025 -0500

    Work better with multiple display managers, use less confusing wording for user accounts

commit 5b86ef9137e1a3eb922fff9e248977fb6b7d11ea
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 11 01:11:40 2025 -0500

    wip: refactor to work better with multiple display managers

commit a8473209f5bc120b81a652761c4b307f85b8eb38
Merge: 838cf30 ee730a9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Mar 10 16:28:46 2025 -0500

    Merge branch 'arraybolt3/user-create' into arraybolt3/autologin

commit ee730a9e8344b4197481868ca260440036f85b5b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Mar 10 16:28:31 2025 -0500

    Move user account creation logic from dist-base-files to helper-scripts, don't set Bash hardening flags in accountctl library

commit 28146c168ece3541304602e333d0429cb1a46b28
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Thu Mar 6 15:43:23 2025 +0100

    Control SGR range based on terminal capabilities

commit 838cf305f19b844c02e733c733758002388a39d9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Mar 9 20:04:02 2025 -0500

    Bump usability-misc Breaks/Replaces

commit 5e0b9b7e01cb700b90a8b3794a5d2e99293d6e11
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 6 21:25:41 2025 -0600

    Add autologinchange and get-user-list, move pwchange from usability-misc to helper-scripts

commit 4ab0ec85308f2a1fb1459c668b2603013b5343b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 6 02:39:09 2025 +0000

    bumped changelog version

commit e5e39978c1ac1d984ecd8400ef5d0000907a7c33
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 5 21:38:14 2025 -0500

    add trim_collapse_split

commit d11a704ee33f8b21de25b9066e216f90f134fdf9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 5 12:05:33 2025 +0000

    bumped changelog version

commit c53e9e3e0bea7caf98bfdcbd5af769c48df3ea37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 5 07:01:31 2025 -0500

    stricter shell options

commit 0188a3adb5ab741fbdc7bd8da56a35dce867da65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 5 07:00:33 2025 -0500

    error out if no variable is provided

commit 5406af0fd55961eee211c87fdfd3ab02d0c86095
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 5 06:56:54 2025 -0500

    fix check_is_not_empty_and_only_one_line
    
    Thanks to @ArrayBolt3 for the bug report!

commit 4dce5cecb52b5e8cb5f70eaf762038d0c94ceb98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 5 06:25:34 2025 -0500

    move check_is_not_empty_and_only_one_line to strings.bsh

commit 087a9380efc82d856f8dc1cb19557ab2be42d7d1
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Thu Feb 13 16:24:44 2025 +0100

    Remove extra_colors option
    
    Exclude SGR is much more reliable now. SGR bit modes 16 and 24 bit were
    difficult to generate the regex, but as it became simpler, separating
    them from 4-bit SGR does not make sense. Although it was an optional
    parameter, it now makes the code easier to read with less options per
    function.
    
    Also change the word color to SGR when appropriate, as it can show
    graphics that are not colors such as italic, underline, blink, bold etc.

commit d51f0476b210f48a9c65251eb62bbcb03eb4fd55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 3 11:24:20 2025 +0000

    bumped changelog version

commit ec7a6e3cc395e728521fa7392c8003611e8ea155
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 3 06:13:51 2025 -0500

    output

commit 3add5e74367fb588beda5ec9e6951fadd0f204eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 16:39:39 2025 +0000

    bumped changelog version

commit 839ae9032fd16da71f6f56a2ad85c8e8ce251dbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 11:32:33 2025 -0500

    anondate: improve error handling

commit fa9d67a12bade63ef6a5ab8badf2c8638650211c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:40:29 2025 -0500

    output

commit ca594d891a4cf6b48c091477ee0054ca67394ff5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:36:31 2025 -0500

    set stricter shell options for anondate

commit e53bb426ee3a453453d3fd55353ab11f62c973f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:25:27 2025 -0500

    output

commit d5f50095302656266bebecb1820f4db3eee34e24
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:24:30 2025 -0500

    fix

commit 7d30b2afc7e3465233cfcb9734505f3e9f875b61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:23:51 2025 -0500

    output

commit 855d54350309780825b23886df65d870adc29b99
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:23:19 2025 -0500

    fix

commit c17ace2143cdb58a9692b272861a813cb6517b86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:22:28 2025 -0500

    output

commit f0ceaa3ea5db7cd6a774b0696b8326751339e501
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 25 10:20:40 2025 -0500

    use long options

commit b5ffd374f9669c3165ef69a29e5819b87affa4ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 22 08:22:37 2025 +0000

    bumped changelog version

commit c55924fa4865e02359cd11664013fcbae8c48ca3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 22 01:59:39 2025 -0500

    output

commit 4c7554840a55de5960e106754f308f2e5c95ea89
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 21 14:53:34 2025 +0000

    bumped changelog version

commit f401962518c07024a326cc25606463d908fcdf2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 21 07:34:23 2025 -0500

    output

commit 34c64f136505372d6bbd5e33ac0956dbfee5ee70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 14 20:20:10 2025 +0000

    bumped changelog version

commit 4c1b9cec9aa97506a11d20258fb03e573ef0d3d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 14 15:07:28 2025 -0500

    add `/usr/libexec/helper-scripts/use_sudo.sh`

commit 741071d5fbb29543d955cac19bb6f909177a3525
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 14 03:19:31 2025 +0000

    bumped changelog version

commit 788a2424485528e07c187dbd6b0ff698709ecf1b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 22:18:41 2025 -0500

    print warnings to stderr

commit 3a9760349212aaeb02089891f6ad873e8a13dfcf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 22:17:53 2025 -0500

    comment

commit ca984203251ab3f9857db2972e85e7e6ff1b70f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 21:59:28 2025 -0500

    code simplification

commit bfec05dab07851656fbffc957c858e8151191298
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 21:56:08 2025 -0500

    comment

commit b4f32f4047dba2d92060ffd51037d46dfa548772
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 14 01:28:38 2025 +0000

    bumped changelog version

commit b1877b5ed490603a946ba078f6192e98dda363d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 20:25:11 2025 -0500

    output

commit 148363146d4438c39bd62a3f30d5244df8bbb7d4
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Thu Jan 23 16:49:59 2025 +0100

    Add safe terminal printing program
    
    Prints only ASCII and ANSI escape sequences configured in an allow list.

commit c2cbf79718d12d1c2d3e01efe450d748332198e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 21:30:10 2025 +0000

    bumped changelog version

commit a6644656b66ebe2c0bbfcbad5bf3d0e172142304
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 16:29:47 2025 -0500

    improve leaprun_useable_test

commit beab994ae8eb849d039cd34759122e7e72aa5b65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 17:48:15 2025 +0000

    bumped changelog version

commit da4b0af13a50911379a413dd6987b39ce7c02bba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 12:48:00 2025 -0500

    fix

commit c82d30249205fdbbca1a4cdc87334f98de456ee8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 17:41:34 2025 +0000

    bumped changelog version

commit 3d94588da6c1ee9efc6728482096571ac652a9b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 12:40:36 2025 -0500

    fix compatibility with `set -e`

commit a4ee02a2985cdb5ae96756460c59e4fc8eaca68c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 14:57:51 2025 +0000

    bumped changelog version

commit c60de82664169c9da5e90d1f0a9175b52b638f55
Merge: e0298bd c4d2e9d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 06:14:08 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sudoless-privleap'

commit c4d2e9da83b524ba71131e57ef307bd8c111adb3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Feb 4 17:15:32 2025 -0600

    Fix and improve use_leaprun.sh

commit 589ac53d99e8a5d9d1f3fa2d09eda9779569d096
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Feb 3 18:02:42 2025 -0600

    Add use_leaprun.sh library for making sudo+leaprun-compatible scripts, and put it into use

commit 1ee97c40cabdc9d23e40fbb6e25b8aa69dd3937c
Merge: 5d0575d e0298bd
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Feb 1 19:26:03 2025 -0600

    Merge branch 'master' into arraybolt3/sudoless-privleap

commit e0298bd324bb7676a067f4c6775f348e089e3b4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 19:38:18 2025 +0000

    bumped changelog version

commit 66587a68ae3ae1e0e129e24981af515dd5a5a4dc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 14:32:13 2025 -0500

    comment

commit 691819f59a9e8c6f622525c64e624f817d56529d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 14:31:10 2025 -0500

    copyright

commit cedc672e383fecb12b0f53722f3424c375983b31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 14:27:58 2025 -0500

    comment

commit af88f56e8c15e4bcd9999d06df01184a2a37389f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 16:43:25 2025 +0000

    bumped changelog version

commit 78ac8e610562d6e4afeeb2fa47e43600aa356b79
Merge: e9d2584 01de506
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 11:42:10 2025 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit 01de506257dc413720769acf269b68869b122fa2
Merge: d5f14be 793e297
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 11:25:54 2025 -0500

    Merge pull request #15 from ben-grande/echo-to-printf
    
    Use printf instead of echo

commit d5f14be527b4d79200259e2f36edfc51133faf27
Merge: e9d2584 8d10c9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 11:21:21 2025 -0500

    Merge pull request #16 from ben-grande/pass-state
    
    Use long options for account management

commit e9d2584a99d765c6191912ea9598f4f3c02816e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:56:24 2025 +0000

    bumped changelog version

commit 6127e5c53097a741f93a4a71f8fc805913fe24d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 07:52:55 2025 -0500

    LC_ALL=C

commit 033bcc1f57d860e117667501323fbf987e9b48b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 07:44:14 2025 -0500

    LANG=C str_replace: no longer requires LANG=C, therefore removed

commit 8d10c9a3eb0232da2d6c44bf580b60e784f08b34
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Wed Jan 29 17:15:50 2025 +0100

    Use long options for account management

commit e36e26475c1d885b1ab22024adce0ce8b368f83a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 13:12:54 2025 +0000

    bumped changelog version

commit e59a4daeb62a0946c348c3a83fa2f318c6c6f749
